Last Revision Date: July 30, 2002

Setup Wizard

FruityLoops Basics

What is new in 3.5

Compatibility with Older Projects


SETUP WIZARD

Setup Wizard

This wizard will help you to set up the preferences of FruityLoops properly.

You will setup the audio output properties as well the MIDI input and output settings. It's important to perform the following operations as described, or otherwise FruityLoops might not function properly!

Click NEXT to proceed with the Setup Wizard

Back Next


SETUP WIZARD

Audio Output Setup

Click the Audio tab in the Environment Settings window.

If the window isn't automatically opened when you start FruityLoops, you can launch it by selecting Audio Settings in the Options menu.

In the Output panel there is a combo box with a list of available audio devices on your system. FruityLoops supports ASIO and DirectSound standards.

It is recommended that you use ASIO driver if you have such available for your sound card (the name in the list starts with "(ASIO)"), as this usually leads to better performance compared to DirectSound drivers.

If you want to select a DirectSound driver (the name starts with "(DS)"), avoid drivers which have "(emulated)" at the end of the name. Using such driver leads to worse performance compared to a native DirectSound driver.

If you plan to use FruityLoops together with another application that uses the same audio device, it is recommended that you check the Auto Close Device check box. When you have that option turned on FruityLoops releases the wave output device when it looses focus, so other applications may use it.

Back
You selected ASIO driver
You selected DirectSound driver


SETUP WIZARD

ASIO Driver Setup

The ASIO streaming buffer section contains information about the buffer length used by the driver. You may click the ASIO Panel button that will bring a window with additional settings for the ASIO driver.

For more information on the rest of the settings in that section go to the Audio Settings page.


SETUP WIZARD

DirectSound Driver Setup

In the DirectSound streaming buffer section you'll see a slider that sets the audio buffer length. Bigger buffer means more stable performance (without underruns). Longer buffer, however, means also that there will be lagged response while playing notes, tweaking wheels and pushing sliders (this does NOT affect already recorded events). The lag length is equal to the buffer length. The optimal buffer size depends much on your CPU speed and type of sound card you have. It's recommended that now you leave the default settings and when you try some of the demo songs included in the installation try to find the best setting (buffer as small as possible without any underruns). Note that the best buffer size may vary from project to project, depending on the CPU usage of the song.

For more information on the rest of the settings in that section go to the Audio Settings page.


SETUP WIZARD

MIDI Setup

Click the MIDI tab in the Environment Settings window.

The Remote Control Input combo box contains a list of devices capable of MIDI output - such devices are MIDI keyboards and external MIDI controllers, such as PhatBoy(TM). The device you select in this box will be used for remote control in Fruity (to play notes and set properties from external MIDI devices).

The Output port mapping section contains a list of software/hardware MIDI synthesizers on your system that can be used for MIDI Output in FruityLoops (such as loopback devices, hardware and software synthesizers etc.). Here you can map those MIDI drivers to a MIDI port in FruityLoops. To map a device, select it in the list and set a port number in the box below. Selecting "---" in that box means you leave the device unmapped and it can't be used in FruityLoops (but it will be free to use with other sequencers/players running at the same time).

In the Master Sync Output combo box you may select the device FruityLoops will send master sync signal to the device chosen here (if Enable MIDI Master Sync is turned on in Options menu). FruityLoops can be synced as a master with external MIDI devices. You can also sync with MIDI sequencers by using a virtual MIDI cable software, such as MIDI Yoke.

For more information on the rest of the settings in that section go to the MIDI Settings page.


SETUP WIZARD

File Settings Setup

Click the File tab in the Environment Settings window.

The Browser extra search directories section lets you set additional directories you want to see in the Browser (such as locations that contain sample collections, FLP files, presets etc.). Those folders are also used when FruityLoops searches for missing samples when loading a project file.

You can either double-click the fields in the Directory column to enter these paths manually, or click the corresponding browse button on the left side of each field to browse the folder. The Name column contains fields where you can set the name that is shown in the Browser for the corresponding directories. Double-click to edit a name.

The default folder where FruityLoops will search for VST effects and instruments (VSTi) is "<FruityLoops Root>/Plugins/VST". However, if you have other applications that support VST plugins, you may want FruityLoops to load VST effects from their location. Then click the browse button in the VST plugins extra search directory section to set one additional VST folder in FruityLoops.


SETUP WIZARD

Finished

You completed the basic setup of FruityLoops.

Information on the rest of the settings available in FruityLoops is covered in this electronic manual (see Environment Settings and Song Settings).


 FRUITYLOOPS BASICS

What is FruityLoops?

FruityLoops is full-featured sequencer for creating songs and drum loops with internal mixing and advanced MIDI support. The resulting song/loop can be exported to a MIDI file or rendered to a WAV/MP3 file.

FruityLoops is a pattern based sequencer, which means you create your songs in pieces (patterns) using the Step Sequencer and the Piano Roll view and then weld those pieces together using the Playlist window. Then you can add a wide range of effects to your instruments, such as reverb, phaser, flanger etc.

Main Features:

  • Internal 32Bit floating point mixing, 44Khz stereo.
  • Supports DirectSound and ASIO enabled sound cards for audio output.
  • Realtime linear interpolation, better interpolations at rendering time.
  • Click removal & volume ramping to avoid pops.
  • Open architecture allowing third-party generators (own Fruity generator standard, VSTi and DXi) and effects (own Fruity effect standard, VST, VST2 and DirectX).
  • Included filters: reverb, 7 band equalizer, delay line, distortion, phaser, flanger, compressor, bass boost and other.
  • Up to 16 FX tracks with 4 FX send tracks supporting up to 8 filters each.
  • Imports *.WAV, *.SYN (SimSynth 1 & 2), DS (DrumSynth) files, with effects applied.
  • Imports MIDI notes and controller events.
  • Integrated sampler & synth bassline engine (TS404).
  • Included plugin generators: 3xOSC, Plucked!, BeepMap, Wasp (demo), SimSynth Live (demo), MIDI Out, DX10 and more.
  • Live recording of control movements.
  • Easy MIDI remote controlling of most parameters (VST plugins as well).
  • Procedural control over parameters by using special controller plugins.
  • Exports to zipped package (loop + sounds) & MIDI. Rendering to 16Bit or 32Bit *.WAV file, but also to MP3.


 FRUITYLOOPS BASICS

What is New in FruityLoops 3.5

This is a list of the important new features in FruityLoops 3.5. For a complete list of new features (and bugfixes) in this and older FruityLoops releases, please check WhatsNew.doc in the FruityLoops root folder.

In order to improve FruityLoops for better usability and feature set, the 3.5 release includes several changes that might be incompatible with some older projects (created in FruityLoops 3.4 or earlier). See the Compatibility with Older Projects page for more information on the issue.

Major new features:

  • FruityLoops now available as a VSTi plugin.
  • Multi ASIO output added.
  • Copy, paste, save & restore automation now supported.
  • Support for speech synthesis (see *.SPEECH presets).
  • New advanced quantization in the Piano Roll.
  • New advanced pattern-based chopper in the Piano Roll.
  • Improved channel envelopes (tension).
  • Added batch export of effects tracks into separate wave files.
  • New step edit mode.
  • New Time Panel.
  • Much improved (but not entirely compatible) TS404 generator.
  • Fruity wrappers now support DXi2 plugins.
  • Added support for custom MIDI controllers.
  • Improved Browser (right-click menu, additional functions).
  • Improved Step Sequencer.

Other new features:

  • Added recording countdown.
  • Improved sinc interpolation.
  • Improved hermite interpolation (now 6 points).
  • Time in seconds now displayed by the Playlist window (in the hint bar).
  • Right-click the metronome switch for another tick sound.
  • Right-click the start on input switch to allow it only when recording.
  • Fine time shift knob now automatable (can now do shuffle using internal controllers).
  • Peak meters optionally in dB format (see General Settings).
  • Added quick preset randomizing & hybridize mode for plugins.
  • Improved pattern humanizer.
  • Improved global beat slicing (layering).
  • Added Select linked channels option & FX track renaming (see Effects Window).
  • Project bones now includes automation as well.
  • Master sync output now sends MIDI continue message instead of MIDI start.
  • Mouse wheel now scrolls Step Sequencer's Keyboard Editor view.
  • MIDI activity LED now blinks yellow if the MIDI message wasn't handled (assigned to nothing).

New or updated plugins:

  • New Fruity Fast Dist effect plugin (same distortion as for the TS404 generator).
  • New Fruity Soft Clipper effect plugin.
  • New Fruit Kick synthesizer plugin.
  • Improved Fruity slicer plugin (added 'fill gaps' option & slice reversing).
  • Improved Fruity wrapper plugins (Cubase FXB import/export support)
  • Added sample start to Fruity granulizer plugin.
  • MIDI out plugin supports channel aftertouch (and also redesigned visually).


FRUITYLOOPS BASICS

General Notes About the Interface

This section contains notes about the interface of FruityLoops.

Wheels, sliders and LCD-s

All wheels, sliders and LCD-s in FruityLoops are instances of the same type of graphic control. To set the value of any of them you can left-click them and drag up/down (left/right for horizontal sliders).

To fine-tune the value of a control, hold the CTRL key while dragging. Holding ALT and left-clicking a control resets it to its default value.

NEW IN FRUITYLOOPS 3.5.6: Some of the controls will pause for a while in their default values while you tweak them. If you want to avoid that behavior, hold down the SHIFT key while using a control.

Scrollbars

Scrollbars in FruityLoops have one special feature - drag them with your right mouse button (instead of using the left one as usual) to enter in a special scrolling mode, which allows you to drag the view simultaneously in all directions.


 FRUITYLOOPS BASICS

Notes to FruityLoops 2.x Users

The first thing you will notice is that the interface in FruityLoops 3 is completely rebuilt. The Step Sequencer is now a separate window that can be freely resized (no more separate skins for 32 and 64 notes!). The sample browser (now just called Browser) is also a separate window. You can dock it to the left or right side of the screen. The main control deck functionality, as well as many options that were only visible when you open the settings windows, are now easily accessed though the new FruityLoops' panels.

The new Piano Roll view allows you unprecedented power when creating complex melodies - creating polyphonic patterns and slides is easier than ever.

Effects system in FruityLoops has changed a lot too. Now you have 16 FX tracks instead of 8 (with up to 8 effects each). Four FX send tracks were also added, so you can distribute "weighted" effects in the other tracks. The new Smart Disable option disables the plugins when there are not used during the song, thus lowering the CPU usage of your projects.

MIDI support has been removed from the Sampler. But now FruityLoops comes with the MIDI out generator, which has much more advanced MIDI support than his predecessor.

Events in FruityLoops are pattern based now. This means there is no more one global automation track, as in FruityLoops 2.x - events are saved locally to each pattern. Older FruityLoops 2.x projects are imported by creating one additional pattern called "Main Automation" which replaces the global events tracks from FruityLoops 2.x.

More controls can be automated in FruityLoops 3 - the mute/unmute switch and the FX selector in Main Channel Settings are now automatable too.

DrumSynth's renderer has been updated. You can now edit some DrumSynth preset properties directly in FruityLoops (see Miscellaneous Channel Settings).


Menu Bar

The Menu bar is located in the Main panel and provides access to the main menus of FruityLoops.

File

Edit

Channels

View

Options

Tools

Help


MENU BAR

File Menu

The File menu contains commands for managing files:

  • New - Starts a new empty project using the last selected drumkit as a start point. You will be prompted to save changes to the currently opened project, if any.
  • Open ( [image] Ctrl+O) - Opens an existing project. The Open File dialog in FruityLoops is enhanced with a Favorites section.
  • DrumKits - Contains a submenu with channel presets you can use for quick start of a new project. You will be prompted to save changes to the currently opened project, if any.
  • Save ( [image] Ctrl+S) - Updates your current project by overwriting its last saved copy on disk. For a list of available save formats, go to File Formats pages. If the current project was never saved before, this command works like Save As.
  • Save As ( [image] Shift+Ctrl+S) - Lets you save your current project under different name and/or format. For a list of available formats, go to File Formats pages. The Save File dialog in FruityLoops is enhanced with a Favorites section.
  • Save New Version - Saves the current project in a file with unique name (so it won't overwrite any existing file). For example, if you have a project called MyProj, this command saves a file MyProj_2, next time it will be MyProj_3 etc. Useful for quickly saving variations of the project without overwriting the original file.
  • Import - Loads files that are not in FruityLoops native projects. For a complete list of file types you can import into FruityLoops, go to Open/Import File Formats pages. The Import File dialog in FruityLoops is enhanced with a Favorites section.
  • Export - Converts the current project to various file formats. For a complete list of file types you can export to, go to File Formats pages. The Export File dialog in FruityLoops is enhanced with a Favorites section.
  • Export / Project Data - Saves copies of all samples, TS404 shapes and SimSynth/DrumSynth presets and other plugin data you use in the current project into a single folder of your choice.
  • Export / Project Bones - Use this command as a shortcut to export all generator/effects settings as presets (*.FST files) and score/automation data as score files (*.FSC files) used in the current project. This is useful feature when you want to merge features from one project into another. Also, a *.NFO file will be created in the folder you selected to store the preset/score data, that is used by the Browser.
  • Exit - Closes FruityLoops. You will be prompted to save changes to your current project, if any.
  • History List ( [image] Alt+ 1-8) - Appears as a list of 8 most recently opened projects at the bottom of the File menu, with the most recent one at the top.


MENU BAR

Edit Menu

The Edit menu contains commands for selecting and editing channels and notes:

  • Undo/Redo ( [image] Ctrl+Z) - Cancels the last action. Redo cancels the last Undo. The menu command changes its state to show the type of action that can be undone. Currently not every action in FruityLoops can be undone.
  • Cut ( [image] Ctrl+X) - Cuts the notes from all selected channels in the Step Sequencer to clipboard. Currently the automation events can not be cut with this command.
  • Copy ( [image] Ctrl+C )- Copies the notes from all selected channels in the Step Sequencer to clipboard. Currently the automation events can not be copied with this command.
  • Paste ( [image] Ctrl+V ) - Pastes notes from clipboard starting with the topmost selected channel in the Step Sequencer.
  • Select All - Selects all channels in the Step Sequencer.
  • Shift Left ( [image] Shift+Left) - Shifts the notes from all selected channels in the Step Sequencer one step left. First notes become last ones.
  • Shift Right ( [image] Shift+Right) - Shifts the notes from all selected channels in the Step Sequencer one step right. Last notes become first ones.
  • Randomize/Humanize ( [image] Alt+R / Alt+H) - Brings up the Randomizer dialog that lets you create random notes and humanize notes properties in the selected channels in the Step Sequencer.
  • Send to Piano Roll - Moves the notes from all selected channels in the Step Sequencer to the Piano Roll of each channel. Shuffle is preserved (see Step Sequencer).


MENU BAR

Channels Menu

The Channels menu contains commands for managing channels.

  • Add One -Contains a list of all generators selected as favorites. Choosing a generator from this menu will add a single instance of it at the bottom of the Step Sequencer window. Click More... to open the Select plugin window, which contains a list of all generators present in FruityLoops (including VSTi and DXi). Double-click a generator name to add an instance of it in the Step Sequencer. Click the check box preceding each name to mark it as a favorite (all plugins preceded by a check mark will appear in the favorites list). NOTE: To see newly installed plugins, click Refresh in the bottom of the Select plugin window and select Fast Scan (it is recommended that you use Fast Scan than Scan & Verify, because it may crash FruityLoops with some bad plugins).
  • Clone Selected - Insert a clone of each selected channel in the Step Sequencer right after it. The clone retains the generator type of the original, as well as all of its settings, but does not contain its notes and events.
  • Delete Selected - Removes all selected channels in the Step Sequencer.
  • Move Selected Up ( [image] Alt+Up) - Moves all selected channels one step up in the Step Sequencer.
  • Move Selected Down ( [image] Alt+Down) - Moves all selected channels one step down in the Step Sequencer.
  • Group Selected ( [image] Alt+Z) - Adds all selected channels to a group (a popup window displays to enter the name of the group). If a group with the name you specified doesn't exist, it will be automatically created. For more information on channel grouping see the Channel Filtering section in the Step Sequencer page.
  • Zip Selected ( [image] Alt+Z) - Turns all selected channels in the Step Sequencer into compact view mode. Right-click the button of a zipped channel to unzip it.

  • Unzip All ( [image] Alt+U) - Unzips all channels in the Step Sequencer.


MENU BAR

View Menu

The View menu contains commands for showing/hiding and arranging FruityLoops' windows.

  • Playlist ( [image] F5) - Shows/hides the Playlist window.
  • Step Sequencer ( [image] F6) - Shows/hides the Step Sequencer window.
  • Piano Roll ( [image] F7) - Shows/hides the Piano Roll window.
  • Browser ( [image] F8) - Shows/hides the Browser window.
  • Effects ( [image] F9) - Shows/hides the Effects Tracks window.
  • Channel Settings - Shows/hides the Channel Settings window.
  • Light Show - Shows/hides the Light Show window.
  • Background Wallpaper - Contains a command that allows you to choose a custom image to be used as a wallpaper.
  • Arrange Windows ( [image] Shift+Ctrl+H) - Contains a command that arranges FruityLoops' windows.
  • Close All Windows - Closes all windows in FruityLoops.


MENU BAR

Options Menu

The Options menu contains commands that set various options in FruityLoops.

  • MIDI Settings ( [image] F10) - Shows/hides the MIDI Settings window.
  • General Settings - Shows/hides the General Settings window.
  • Audio Settings - Shows/hides the Audio Settings window.
  • File Settings - Shows/hides the File Settings window.
  • Song Settings - Shows/hides the Song Settings window.
  • Song Info ( [image] F11) - Shows/hides the Song Info window.
  • Enable MIDI Remote Control - When not checked, you will not be able to use MIDI remote control in FruityLoops, but the device you use for remote control will be released for use in other applications you run simultaneously with FruityLoops.
  • Enable MIDI Output - When not checked, you will not be able to use MIDI output in FruityLoops, but the device you use for output will be released for use in other applications you run simultaneously with FruityLoops.
  • Enable MIDI Master Sync - If checked, FruityLoops will sync (as a master) with an external MIDI device or a sequencer. You can choose a device to sync with in the MIDI Settings window.
  • Typing Keyboard to Piano ( [image] Ctrl+T) - When turned on, you can use your typing keyboard to record notes as you would do with a real MIDI keyboard.
  • Metronome ( [image] Ctrl+M) - When turned on, you will hear a short "metronome" sound in the beginning of each beat with an accent at the beginning of each bar. It is especially useful when you need to keep yourself "synced" with song tempo when recording a melody from a MIDI keyboard.
  • Recording Precount ( [image] Ctrl+P) - When turned on, you will hear countdown metronome ticks before the start of a recording session.
  • Start on Input ( [image] Ctrl+I) - When turned on, pressing the play button will set FruityLoops in waiting mode and actual playing/recording begins at the moment input data is received (for example, when key is pressed on the MIDI keyboard).
  • Blend Recorded Notes ( [image] Ctrl+B) - When turned on, the notes you record will blend with any already existing ones, otherwise recorded notes will overwrite the old ones.
  • Step Recording ( [image] Ctrl+E) - Switches step recording on and off.


MENU BAR

Tools Menu

The Tools menu contains useful tools for working with channels, patterns an effects, and gives you the ability to use external application as tools in FruityLoops.

Misc Macros:

  • Switch Smart Disable for all Effects - Turns on Smart Disable for all effects (see Effects Tracks window).
  • Color Selected Channels - Colors all selected channel buttons in the Step Sequencer. You will be asked for start end end color (for gradient coloring).
  • Select All Unused Channels - Selects all channels that do not contain any notes (neither in the Step Sequencer or the Piano Roll) in any pattern.
  • Go To Next Empty Pattern ( [image] F4) - Switches to the next pattern that does not contain any note events (either in the Step Sequencer or the Piano Roll) in any channel.

Add External Tools

Opens the External Tools dialog that lets you set external applications (wave editors, sample browsers etc.) as tools in FruityLoops.

Custom Tools List

Contains a list of tools you have set using the External Tools dialog.


MENU BAR

Help Menu

The Help menu contains commands for access to this reference system and other help documents. It also contains some other useful commands related to your work in FruityLoops.

  • Help ( [image] F1)- Opens this help system.
  • Download In-depth Manual - This is a link to a web page where you can download the detailed manual of FruityLoops.
  • About - Shows the About box of FruityLoops.
  • Register - Click here if you want to register the demo of FruityLoops. If it is already registered, this item is grayed.
  • Other Products From Image-Line - This is a link to a web page where you can check out other products created by Image-Line.

Plugins:

  • About FruityLoops Plugins - Opens the help pages for the plugins that come with FruityLoops.
  • Find Plugins Online - This is a link to a web page that contains information for other plugins compatible with FruityLoops.

Online Community:

The online community services is a system for downloading and uploading FruityLoops projects, so everyone can add his "touch" to the song. You can upload a work you started by yourself, but it is advisable that you first download a song, modify and refine it, and then upload it so other users can continue working on it.

  • Download Live Loop- Select this command to download a live loop.
  • Upload Live Loop - Select this command to upload a live loop.
  • Upload Project - Select this command to upload a project.
  • BeatSlicer & Zero-X BeatCreator Homepage - This is a link to the homepage of BeatSlicer. The BeatSlicer engine is integrated with FruityLoops and is used in the Beat to Slice feature. You can use the standalone BeatSlicer editor with FruityLoops as well.
  • TS404 Homepage - This is a link to the homepage of TS404. TS404 generator is integrated in FruityLoops.
  • SimSynth Homepage - This is a link to the homepage of SimSynth. FruityLoops can render SimSynth presets & loops directly.
  • DrumSynth Homepage - This is a link to the homepage of DrumSynth. FruityLoops can render DrumSynth presets directly.
  • LAME MP3 Encoder - This is a link to the homepage of LAME MP3 Encoder. LAME MP3 Encoder is integrated in FruityLoops and is used for exporting MP3 files.

  • Stop Sound (Panic) ( [image] Ctrl+H) - Silences audio and MIDI. Notice that this function works by setting all notes to release state, so if release is not short, sound may not stop immediately.
  • Cancel Current Recording - Use this command to stop your current recording session and not to apply any recorded notes and events to the project. This command works only while recording, not after that. If you want to delete recorded notes and events after recording was stopped, use the Undo feature instead.


MENU BAR

External Tools Dialog

The External Tools dialog lets you set up external applications (wave editors, sample browsers etc.) for use as tools in FruityLoops.

    1. Tools List - Displays a list of all configured tools. Before setting up a new tool click an empty field in the list, otherwise the new tool will overwrite the older one. You can also drag the entries up and down to change tools order.
    2. Tool Properties - Displays the program icon of the application and lets you set the name that will be used when displaying the tool in Tools menu.
    3. File Location - You should enter here the full path to the external application you want to use as a tool. You can also click the button on the right to browse the application.
    4. Tool Type - Sets the launching option for the tool. Launch with the Current Channel Sample option is suitable for wave editors. Launch with the Samples Path is useful for batch audio processing applications and external sample browsers. Launch at Startup can be used to launch automatically software synthesizer you want to control from FruityLoops.


MENU BAR

Favorites Section

All open/import and save/export dialogs in FruityLoops has been enhanced with Favorites section, which you can use to quickly transfer to frequently used folders.

    1. Favorites Combo Box - Contains a list with shortcuts to all favorite folders you have set.
    2. Set As Favorite - Adds the current folder to the favorites.
    3. Remove From Favorites - Removes the currently displayed folder in the combo box from the favorites list.


MENU BAR

Light Show

Draws a nice visualization of FruityLoops' audio output.

To improve the Light Show's performance on slow computers, right-click the Light Show view and from the menu that appears select Low Res item to switch the Light Show to low resolution mode.

To close the Light Show window, right-click the Light Show view and from the menu that appears select Close.


Panels

FruityLoops panels are located at the top of the screen, and provide you with quick access to many commands and options, many of which are available also in FruityLoops menus and windows. The panels behave much like standard Windows coolbar controls - they can be reordered in any way, undocked and docked to the top and the bottom of the screen by dragging a special handle located in the left side of each panel. If you right-click the empty area at the top of the screen, a menu will pop up that contains a list of all panels. Those that are visible are preceded by a check mark, the hidden ones do not have a check mark. By selecting panels from this menu you can hide and unhide selectively each panel in FruityLoops, except the main panel (which always remains visible).

Main Panel

Transport Panel

Pattern Panel

Output Monitor Panel

CPU Panel

Shortcut Panel

Recording Panel

Time Panel


PANELS

Main Panel

The Main panel contains some essential controls for each application - the title bar, the main menu bar, a hint panel and the minimize, maximize/restore and close buttons. It also contains the global volume and pitch controls.

    1. Menu Bar - Provides access to the main menus in FruityLoops. For more information, go to Menu bar pages.
    2. Hint Bar- When you position you cursor over any control, its short description will appear here. The hint bar will also display the value of a wheel or slider while you tweak it etc.
    3. Title Bar - You can see here the name of the song currently opened in FruityLoops.
    4. Minimize - Hides the main window.
    5. Maximize/Restore - Maximizes/restores FruityLoops main window.
    6. Close ( [image] Alt+F4) - Closes FruityLoops.
    7. Sync LED - It blinks in orange color at the beginning of each beat and in yellow color at the beginning of each bar (it works only when the Enable MIDI Output option in Options menu is checked).
    8. MIDI Activity LED - It blinks when MIDI data is received from the MIDI input device (see Live Recording Using MIDI Controller).
    9. Main Volume - Sets the main volume in FruityLoops.
    10. Main Pitch - Sets the main pitch of generators in FruityLoops.


PANELS

Transport Panel

The Transport panel contains controls for playing, recording, setting song's position and tempo.

  1. Pattern/Song Mode ( [image] L) - Switches between pattern and song mode. In pattern mode, only the current pattern is played, while in song mode the whole sequence in the Playlist is played. If the Playlist is empty, in song mode FruityLoops will play the patterns in successive order. Right-clicking this control shows/hides the Playlist window.
  2. Play/Pause ( [image] Space) - In record mode, plays/pauses the song and records MIDI input & wheels/sliders tweaks, otherwise just plays/pauses the song.
  3. Stop ( [image] Space) - Stops recording/playing.
  4. Record ( [image] R) - Switches between record and play mode.
  5. Tempo - Shows/sets song tempo. Right-click the LCD screen for some tempo presets. Note: Twice Slower option does not set the actual tempo of song twice slower (so the value displayed in the LCD won't change). It just plays the song twice slower to make it easier for user to record notes/events. After recording, this option may be turned off to return to the original tempo.
  6. Song Position Slider - Shows/sets the current song position.


PANELS

Pattern Panel

The Pattern panel contains controls for choosing the current pattern.

  1. Quick Pad- Lets you quickly select any of the first 9 patterns.
  2. Pattern Selector ( [image] + /for next pattern/; [image] - /for previous pattern/)- Shows/sets the current pattern. You can have up to 999 patterns.


PANELS

Output Monitor Panel

The Output Monitor panel contains controls for monitoring the audio output of FruityLoops.

    1. Oscilloscope - Oscilloscope view displays the wave output of FruityLoops. Right-click the Oscilloscope view to set various options for its look.
    2. Peak Meter - Meters the loudness of wave output in FruityLoops. It will turn red if it is too loud (and so clipping occurs).
    3. Monitor Switch - Switches on and off oscilloscope and peak meter views (it also affects the Light Show window).


PANELS

CPU Panel

The CPU panel displays the polyphony and CPU usage of the project.

    1. CPU Meter - The CPU Meter shows how much of the CPU is used for playing the current project. Left-click the view to make it refresh more frequently (clicking again will turn it back to normal refresh frequency).
    2. CPU Meter % - Shows the CPU usage in percents.
    3. Polyphony - Shows amount of voices being mixed at the same time.

Note that TS404 channels are not counted when displaying the polyphony.


PANELS

Shortcut Panel

The Shortcut panel provides shortcuts for some frequently used commands.

  1. Save Project As ( [image] Ctrl+Shift+S) - Acts like Save As command in File menu.
  2. Open Project ( [image] Ctrl+O) - Acts like Open command in File menu.
  3. Save Project ( [image] Ctrl+S) - Acts like Save command in File menu.
  4. Export to Wave File ( [image] Ctrl+R) - Acts like Export Wave command in File menu.
  5. Playlist ( [image] F5) - Shows/hides the Playlist window.
  6. Step Sequencer ( [image] F6) - Shows/hides the Step Sequencer window.
  7. Piano Roll ( [image] F7) - Shows/hides the Piano Roll window.
  8. Browser ( [image] F8) - Shows/hides the Browser window.
  9. Effects Tracks Window ( [image] F9) - Shows/hides the Effects Tracks window.


PANELS

Recording Panel

The Recording panel sets some recording related options and contains the global snap selector.

    1. Metronome ( [image] Ctrl+M) - When turned on, you will hear a short "metronome" sound in the beginning of each beat with an accent at the beginning of each bar. It is especially useful when you need to keep yourself "synced" with song tempo when recording a melody from a MIDI keyboard. Right-click the LED for a different metronome sound.
    2. Typing Keyboard to Piano ( [image] Ctrl+T) - When turned on, you can use your typing keyboard to record notes as you would do with a real MIDI keyboard. Right-click the LED to select the base octave for mapping the keyboard keys.
    3. Recording Countdown ( [image] Ctrl+P) - When turned on, you will hear countdown metronome ticks before the start of a recording session. Right-click the LED to select the number of bars to countdown.
    4. Start on Input ( [image] Ctrl+I) - When turned on, pressing the play button will set FruityLoops in waiting mode and actual playing/recording begins at the moment input data is received (for example, when key is pressed on the MIDI keyboard). Right-click the LED to select if you want this option when playing too (or only when recording).
    5. Blend Recorded Notes ( [image] Ctrl+B) - When turned on, the notes you record will blend with any already existing ones, otherwise recorded notes will overwrite the old ones.
    6. Step Recording ( [image] Ctrl+E) - Switches step recording on and off.
    7. Snap Selector - This control sets the global snap value that is used in the Piano Roll and the Event Editor. When you choose Auto, snap will conform to the zoom level you set in the Piano Roll/Event Editor. You can also right-click the selector to select the default note length from the menu that appears (used when drawing notes in the Piano Roll).


PANELS

Time Panel

The Time panel displays the song time in various formats (bars, minutes).

    1. Step/Beat switch (S/B) - This switch selects whether the time is displayed in steps (S) or beats (B). This option applies to bar display mode only, see the next option.
    2. Bar/Minute Mode switch - This switch selects whether the time is displayed in BARS:BEATS/STEPS:TICKS format (B) or MINUTE:SECOND:1/100 SECOND format (M).
    3. Time Display - Shows the song time in format according to the settings.


Step Sequencer

The Step Sequencer is the main part of FruityLoops' interface. It contains a button for each channel in your song, from which you can call its Channels Settings, Piano Roll etc. It also contains a pattern grid, where you can create drum loops and simple melodies.

    1. Channel Activity Visualization On/Off Switch - Hides/Shows the channel activity visualization (on the right side of each channel button), used to quickly determine of notes are being played by a particular channel.
    2. Main Shuffle - Slide it to right to add "swing" to the notes you write in the Step Sequencer.
    3. Graph Editor Button ( [image] G) - Shows/hides the Graph Editor.
    4. Keyboard Editor ( [image] K) - Shows/hides the Keyboard Editor.
    5. Channels Area - Contains the channels and the pattern grid.
    6. Channel Display filter ( [image] Page Down for next group; Page Up for previous group)- Here you can set the group of channels to show in the Step Sequencer (read the Channel Filtering paragraph below for more information)
    7. Playing Step Leds - These leds will show the current playing step in the pattern.
    8. Channel Panning Wheel - Use this wheel to set channel's panning.
    9. Channel Volume Wheel - Use this wheel to set channel's volume.
    10. Channel Settings Button - Displays the channel name & shows/hides Channel Settings window, where you can set how the channel should sound.
    11. Channel Selector - When this led is turned on, the channel is considered selected (used in cut, copy etc. operations - see Edit menu).
    12. Sequence Steps - Each step represents a 16-th note in the pattern. You can turn on and off those step buttons to create the desired loop.
    13. Mute switch ( [image] 0-9 to mute/unmute; Ctrl+0-9 to solo/unmute all) - Turning this led off will mute the channel. Clicking it again unmutes it. You can also quickly solo channel - right-click the led and from the popup menu select Solo. Repeat that action to unsolo the channel (unmute all).
    14. Piano Roll Preview- If you don't have active steps in the current pattern and you have notes in the Piano Roll, the steps are replaced by a preview of the Piano Roll. With the preview available you are aware of how your pattern looks without opening each time the Piano Roll view. However, you can not edit notes in that preview. Click it once to show/hide the real Piano Roll window. The lighter and darker blocks in the preview mark the number of bars contained in the Piano Roll sequence (each block is a bar).

Each line in the Step Sequencer represents a single channel with its pattern dots. Each dot represents a 16-th note. The default pattern length is 16 dots, but you may change this setting from the Song Settings window. Left-clicking a dot turns it on; right-clicking turns it off. Note that if you have turned off Use Both Mouse Keys option in the General Settings page, left-clicking turns both on and off a dot. You can also set the pitch of dots using the Keyboard Editor view. Each note has some additional properties (panning, volume etc.) that you can set using the Graph Editor view. Right-clicking the Channel Button (10) brings up a menu that provides some commands for managing channels (see Channel Menu). This menu also provides access to the Piano Roll window that lets you create much more complex melodies than using the Step Sequencer's grid. The main Edit menu also contains commands for working with Step Sequencer.

Channel Filtering

Having too much channels makes working in the Step Sequencer slow and tedious. In FruityLoops 3.4 and later you can combine several channels in a group and set the Step Sequencer to display only specific group of channels (for example percussion group or lead synth group). To control which channels should be visible you can use the Channel Display Filter control (6). Left-click to open the channel filter menu. Selecting "All" shows all channels at once, no matter if they are part of any group or unassigned. Selecting "Unsorted" displayed only the unassigned channels. Also, if you have made any channel groups, you can select them for display from this menu. To add empty group, right-click and select Add Filter Group. With the group displayed, right-click the Channel Display Filter control to see commands for renaming and deleting a group (deleting a group won't delete the channels in it, but make them unassigned). To add all selected channels to a group, use the Group Selected command from the Channels menu.

When adding new channels, they go in the currently selected group.


 STEP SEQUENCER

Keyboard Editor

The Keyboard Editor view lets you set the pitch of notes in the Step Sequencer. It is a set of piano keyboards (all of them rotated 90 degrees counterclockwise) - one for each dot in the Step Sequencer. Note that actions you do in the Keyboard Editor have effect on ALL selected channels.

    1. Keyboard Editor button - Shows/hides the Keyboard Editor.
    2. Slide/Portamento Line - Used to apply a slide/portamento effect to the notes in the Step Sequencer. Note that although this line appears for all generators, some of them might not support the portamento feature (the VSTi and DXi instruments and some Fruity Plugin generators do NOT support portamento). Left-click to set slide/portamento on, right-click to set it off.
    3. Active Note - This orange button shows that the dot it belongs to is active, and also shows its pitch. Left-click to set another pitch for the dot (also if it was turned off, this makes the dot active).
    4. Inactive Note - This light orange button shows that the step it belongs to is inactive. Right-click to set another pitch for the dot (also if it was turned on, this makes the dot inactive). Inactive notes are not used by the generators, they are just notification for the default note pitch used when activating the step.

You can also drag all notes at once - hold Ctrl and then drag a note, the rest will follow.


STEP SEQUENCER

Graph Editor

The Graph Editor lets you set additional properties of notes in the Step Sequencer. You can set each note's panning (Pan), velocity (i.e. note's volume - Velocity), cutoff (Filter cut), resonance (Filter res), pitch (Pitch) and shifting (Shift). Shifting creates delay between the timing of a note event and the time it is actually triggered. 100% shift means one 16-th time delay. The pitch property sets note's pitch, but is more intended for use with drum channels and effects - if you want to enter a melody, use the Keyboard Editor instead.

    1. Graph Editor button - Shows/hides the Graph Editor view.
    2. Property Selector slider - Lets you select what property to edit. With all generators you can set panning, velocity, cutoff, resonance, pitch and shifting. However, some external generators may not support all those properties (for instance, a mono generator may ignore the panning property).

Left-click a column and drag up/down to adjust the property. You can drag all values at once - hold Ctrl and adjust one, the others will follow. You can also create "lines" with values in the Graph Editor - right-click a value and drag to another, FruityLoops will automatically interpolate the in-between values.

It is important that you understand in the Graph Editor you set note's properties - these are not separate events. So, although you can set all panning values, only those that correspond to active dots will be used.


STEP SEQUENCER

Channel Menu

This menu provides some commands for editing channels.

  • Piano Roll - Shows/hides the Piano Roll view. Appears only when there aren't any active steps in the Step Sequencer.
  • Send to Piano Roll - Converts any active steps to Piano Roll notes and opens the Piano Roll view. Appears only when there are active dots for the channel.
  • Load Sample - Appears in Sampler channels only. This command opens a dialog where you can select a sample to fill the sample bank of a Sampler.
  • Cut Itself - Checking this option makes each active note cut the previous one. What actually happens is FruityLoops assigns a unique value in both Cut and Cut By fields in the Miscellaneous Channel Settings.
  • Edit - Contains a submenu that wraps some commands from the main Edit menu.
  • Fill Each 8 Notes - Turns on 1-st, 9-th, 17-th etc. dots in Step Sequencer's pattern grid. All other dots are turned off.
  • Fill Each 4 Notes - Turns on 1-st, 5-th, 9-th etc. dots in Step Sequencer's pattern grid. All other dots are turned off.
  • Fill Each 2 Notes - Turns on 1-st, 3-th, 5-th etc. dots in Step Sequencer's pattern grid. All other dots are turned off.
  • Insert Channel - Contains a list of all generators selected as favorites. Choosing a generator from this menu will add a single instance of it below the current one. Click More... to open the Select plugin window, which contains a list of all generators present in FruityLoops (including VSTi and DXi). Double-click a generator name to add an instance of it in the Step Sequencer. Click the check box preceding each name to mark it as a favorite (all plugins preceded by a check mark will appear in the favorites list). TS404 and Sampler are internal for FruityLoops, so they always appear in the Favorites list (and not in the Select plugin list).
  • Clone Channel - Inserts a clone of the channel after it. The clone retains the generator type of the original, as well as all of its settings, but does not contain the events and the notes.
  • Delete Channel - Removes the channel.


Piano Roll

The Piano Roll is a major enhancement in FruityLoops 3. It lets you construct songs with unlimited complexity, never possible before using only the Step Sequencer.

  1. Piano Roll Menu Button
  2. Draw Mode Button ( [image] P)
  3. Erase Mode Button ( [image] D)
  4. Interpolate Mode Button ( [image] I)
  5. Select Mode Button ( [image] E)
  6. Time (Horizontal) Zoom
  7. Vertical Maximize/Minimize
  8. Slide Event
  9. Note Events
  10. Integrated Event Editor
  11. Slide Toggle ( [image] S)
  12. Color Group Selector
  13. Preview Keyboard
  14. Property/Event Selector

Basics

Notes in Piano Roll are displayed as horizontal bars (9) and slides are shown as horizontal bars with a small triangle drawn in the left side (8). You can preview tones by left-clicking the Preview Keyboard keys (13). Pitch is mapped from bottom to top. Horizontal dimension represents time and each number in Piano Roll's ruler represents single bar.

Click channel's name in the title bar to select another channel to display in the Piano Roll.

Operating with Notes

Each note in the Piano Roll has its own length, as a difference from the Step Sequencer, where the only way to turn off a note is to cut it off using another one. Switching to draw mode (2) lets you draw, edit and delete notes. Left-click in Piano Roll's grid to draw a note. After that you can drag its left side to move it vertically and horizontally. Dragging its right side horizontally changes note's length. You can right-click a note to erase it (you may instead switch to erase mode to erase with left-clicks (3) ).

You can select several notes, so you can move and resize them all at once. Press and hold Ctrl key and either click a note to select it, or drag a rectangle to select all notes in enclosed area.

You can also Ctrl+click or double-click the time ruler and drag along it to select all notes in a specified time range, or Ctrl+click the Preview Keyboard (13) to select a range of notes with the same pitch.

Press Shift key together with Ctrl to add to the current selection. To deselect all notes, while holding Ctrl key, click empty space in Piano Roll's grid. Instead of holding Ctrl key, you can also switch Piano Roll to select mode by clicking the select mode button (5).

You can also draw complete chords at once instead of single notes. Right-click the draw mode button (2) and from the menu select a chord type. Now when you draw in the Piano Roll, FruityLoops automatically creates a chord. To draw single notes again, right-click the draw mode button and select None ( [image] Shift+N).

Understanding Slides

In the Piano Roll you can make group of notes slide gradually from one pitch to another. For this purpose, you draw special slide events, which "tell" FruityLoops how notes should be slid. Slides look exactly as note events, but they have a small white rectangle drawn in their left side (8). To draw slides, click the slide toggle button (11). Then you can click it again to draw note events. Note that slides do NOT produce a sound themselves (although they preview when created/moved). Instead they make existing notes slide. When you draw a slide event, FruityLoops will start sliding existing notes towards pitch where the slide is positioned. If several notes are slid simultaneously, the topmost is taken as a reference for the pitch offset (see picture below). At the end of the slide event, all notes are slid, so the topmost note has the pitch of the slide event. After the slide event ends, notes still remain offset from their original pitch.

This image shows how pitch changes with the slide event.

Note that the slide events have all usual properties of a note - velocity (note volume), panning, cutoff and resonance, so during pitch sliding, it also "slides" all properties from those of the playing notes to those of the slide.

Slide Color Groups

You can draw notes and slides in four colors - green, cyan, pink and yellow. The color you use does not make a difference in note's sound, it is instead used when sliding. Slides will apply only to notes that have their color. For example, yellow slide will bend the pitch of yellow notes, but will ignore green notes. This way you can have up to four notes sliding simultaneously in different directions (one for each color group). To select the current drawing color, click the appropriate button on the color group selector (12).

Slide color groups are also used with the Mono mode in the polyphony settings (see Miscellaneous Channel Settings). Mono mode applies to each color group separately. So using all four colors actually can result in a polyphony of up to 4 voices at once.

Integrated Event Editor

The Piano Roll includes an integrated event editor (10), which lets you quickly edit channel's volume, panning and pitch right inside the Piano Roll. However, the event editor in Piano Roll has one extension - you can also edit notes properties. Notes properties behave similar to the normal events, and are displayed in the event editor as lines with a small square at the top. Using this extension you can edit note's velocity (local note volume), panning, cutoff and resonance - these are exactly the same properties you can edit using the Graph Editor if you were entering notes in the Step Sequencer. Note that since note's properties are part of the actual note, you can not move, delete or interpolate any of them. When you move a note horizontally (thus changing its start position), its properties also move with it. To choose what property or event type to edit, click the property/event selector (14) and choose property/event type from the menu that appears.

NOTE: When several notes start at the same time you can not set the properties of each individual note (they are all set at once). To solve this issue, first select the notes you want to modify - editing this way alters only the properties of the selected notes. Another solution is to use the Note Properties Box (explained below).

Everything else in this integrated event editor works as in normal Event Editor window.

Note Properties Box

There is another way to set notes properties. It is useful when you want to set different properties for notes that start simultaneously (so their properties appear as one in the integrated event editor). Double-click a note to display its properties box.

1. Levels

Lets you change note's properties - panning, velocity (note's volume), cutoff and resonance. The reset button next to Level's panel title bar resets note's properties to levels they had before launching the properties box.

Invert Porta - Inverts the portamento state for this note. If the global portamento (see Misc Channel Settings) for this channel is off, for this note it is on and vice versa.

NOTE: If the note you double-click is a part of a selection, then the properties you set apply to all notes in that selection. The Time section is not available in that case, because the selected notes might have different length or start point.

2. Time Section

Lets you change note's start position and length. For each of both settings there are three LCD-s, for entering position length in bars:steps:ticks format.

Piano Roll Menu

This menu provides many important functions for working with the Piano Roll, such as copying and pasting notes, converting color groups etc. You can access Piano Roll's menu by clicking the Piano Roll menu button (1). For more information, see the Piano Roll menu page.


Piano Roll Menu

This menu provides many important functions for working with the Piano Roll, such as copying and pasting notes, converting color groups etc.

1. File

  • Open Score - Lets you load notes from a FSC file in the Piano Roll.
  • Save Score As - Lets you save all notes in the current Piano Roll view as a FSC file.
  • Copy ( [image] Ctrl+C) - Copies all selected notes/slides to clipboard.
  • Import MIDI ( [image] Ctrl+M)- Shows the Import MIDI Data dialog box, which lets you import notes from MIDI files to the Piano Roll. Selecting this command from a Piano Roll window imports only note events. To import controller data (cutoff, resonance etc.) from a MIDI file, launch the Import MIDI Data dialog box from a separate Event Editor window.
  • Paste from MIDI clipboard ( [image] Shift+Ctrl+V)- Works exactly as the previous command, but uses the MIDI clipboard data rather than a MIDI file. You can paste data from any sequencer that can copy to MIDI clipboard format, as for example Cakewalk Pro Audio (TM).

2. Edit

  • Cut ( [image] Ctrl+X) - Cuts all selected notes/slides to clipboard. Note that using this command on events in the integrated event editor deletes them instead of sending them to clipboard.
  • Copy ( [image] Ctrl+C) - Copies all selected notes/slides to clipboard.
  • Paste ( [image] Ctrl+V) - Pastes notes/slides from clipboard.
  • Delete ( [image] Del) - Deletes all selected notes/slides.
  • Delete All ( [image] Ctrl+Del) - Deletes all notes, slides and events in the Piano Roll.
  • Select All ( [image] Ctrl+A) - Selects all notes, slides and events in the Piano Roll.
  • Invert Selection - Inverts the selection.
  • Select By Color- Selects all notes and slides that have the same color as the current one.
  • Change Color ( [image] Alt+C) - Repaints all selected notes/slides in the current drawing color (if nothing is selected, applies to all).
  • Quick Quantize ( [image] Alt+Q) - Applies basic quantize to all selected notes/slides depending on the global snap setting in the Recording panel (if nothing is selected, applies to all).
  • Quantize ( [image] Ctrl+Q) - More advanced version of the quantize feature. Opens the Quantizer settings dialog.
  • Quick Chop ( [image] Alt+U) - Slices long notes into many shorter, based on the global snap setting in the Recording panel (if nothing is selected, applies to all).
  • Chop ( [image] Ctrl+U) - More advanced version of the chop feature. Opens the Chopper settings dialog.
  • Init With Current Position ( [image] Ctrl+I) - Initializes the integrated event editor with the current value of the corresponding automated control.
  • LFO ( [image] Ctrl+L)- Shows the LFO box, which lets you draw LFO-shaped events in the integrated event editor. Note that this feature is enabled only when in the property/event selector (15) type of event is selected, instead of a note property type.

3. Options

  • Grid Color - Opens a standard Color dialog box, where you can set a color for Piano Roll's grid.

4. Chord

Shows a manu with predefined chord types. Select a chord and draw chords in the Piano Roll. Select None ( [image] Shift+N) to draw single notes again.

5. Auto Locate Channel

When selected, the Piano Roll will automatically display the first non-empty channel when switching between patterns.

6. View All Channels ( Alt+V)

When selected, the Piano Roll will show the scores of all channels in the current pattern (they are displayed in the background and have a semitransparent look). Note that these scores are displayed only like a reference for easier sequencing - you can not select or edit them in any way.

7. Zoom ( Alt+Z)

Zooms in/out horizontally (time).


PIANO ROLL

Piano Roll Quantizer

The Piano Roll Quantizer is an advanced note quantizer, that can use standard score files as groove presets.

1. Groove Template

The Piano Roll Quantizer uses standard FruityLoops Score files (*.FSC) as groove templates to quantize the notes. Click the Browse button to select a groove template. The Piano Roll shows the snap grid (vertical red lines) generated by the groove preset.

2. Strength

This section lets you set the options that will be used for quantizing.

  • Start Time wheel - Lets you mix the original start times of the notes (turn left) with the quantized start times (turn right).
  • Sensitivity wheel - Lets you set the snap sensitivity: how close to the grid should be a note feature (start time, end time) to be quantized. Turn the wheel to right to increase the sensitivity.
  • Duration wheel - Lets you mix the original duration of the notes (turn left) with the quantized duration (turn right). In Quantize End Time mode (see below), this wheel mixes the end time position instead.
  • Quantize Mode combo box - Selects the quantize mode. The start time is quantized in all modes. Quantize Duration: quantizes the length of the notes according to the snap grid; Quantize End Time: snaps the end time of the notes to the snap grid; Leave Duration: retains the original note duration after snapping the start time of the notes; Leave End Time: Retains the original end time of the notes.
  • Levels wheels - With these controls you can mix the original note properties (turn left) with those used in the groove preset (turn right).
  • Humanize switch - When this switch is on, the levels wheels are used to set the amount of randomization applied to the note properties. Turn the wheels to right to apply more randomization.
  • Randomize button - Changes the randomzation seed for the humanized properties.

3. Apply button

Applies the changes to the Piano Roll score.


PIANO ROLL

Piano Roll Chopper

The Piano Roll Chopper is an advanced note slicer, than can use standard score files as patterns for slicing.

1. Pattern

The Piano Roll Chopper uses standard FruityLoops Score files (*.FSC) as slice patterns . Click the Browse button to select a groove template. The Piano Roll shows real-time preview of the results.

2. Options

This section lets you set the options that will be used for slicing.

  • Time Multiplicator wheel - With this setting you can speed up (turn right) or speed down (turn left) the pattern tempo. The chopper uses the original pattern speed by default.
  • Absolute Pattern switch - When switched on, slicing is based on the Piano Roll grid. When switched off, each note is sliced relative to its start time (see the example image below).
  • Levels wheels - With these controls you can mix the original note properties (turn left) with those used in the chop pattern (turn right).

3. Apply button

Applies the changes to the Piano Roll score.


 PIANO ROLL

Import MIDI Data Dialog

This dialog shows when you import notes in the Piano Roll either from MIDI clipboard or a MIDI file.

  • Which Tracks to Import - Click the combo box to select which MIDI tracks to import in the Piano Roll.
  • Which Channels to Import - Lets you select which channels should be imported. Left-click a channel number (it will be marked in red) to include it in the imported channels, right-click it to exclude it from the imported channels.
  • Blend with Existing Data - When turned on, imported notes will mix with the already existing ones. Otherwise the existing notes will be overwritten by imported data.


 PIANO ROLL

LFO Tool

The LFO tool allows you to draw LFO shapes in the Event Editor.

LFO is drawn only in the selected time range. If nothing is selected, LFO will select automatically the first bar.

1. Start

  • Value - Sets the value of LFO.
  • Range - Sets the range between the lowest and highest points in LFO.
  • Speed - Sets the frequency of the LFO (i.e. its speed). Right-click for a menu with tempo-based presets.

2. End

Contains the same parameters as the Start section. When you turn on the led in the top left corner of this section, LFO's settings will vary from those in the Start section to those in the End section. If led is turned off, then only the settings from the Start section are used.

3. Shape

Sets the shape of the LFO - sine, triangle or square (to select a shape click any of the icons at the top left corner of this section). Phase wheel sets the phase of the LFO (basically this moves the LFO shape left and right).


Browser

The Browser is a convenient way to browse your sample collections, presets and projects directly inside FruityLoops, without wasting time to browse files through standard Windows dialog boxes. It can be docked on the left or right sides of the main window (just drag it to either side of the screen).

Title Bar

The Browser title bar contains the following controls:
    1. Collapse Structure - Collapses all expanded folders in the Browser window.
    2. Reread Structure - Rereads the contents of all folders in the Browser. Click this button to see any new files and folders that were created after FruityLoops was started.
    3. Close - Closes the Browser.

Project Browser

Since FruityLoops 3.1, the Browser contains a special folder named Current Project. When expanded, this folder shows a list of patterns that contain events for one or more automated controls. For more information, see the Project Browser page.

Browser Items

Each file appears in the Browser with a special icon on the left side of its name:

FruityLoops project files

Left-click to load the project in FruityLoops:
  • FruityLoops loop file (*.FLP) - Left-click to load the project in FruityLoops.
  • Zipped loop file (*.ZIP) - Left-click to load the project in FruityLoops.

Samples and Patches

Left-click to preview (SoundFonts don't support preview). Right-click to send to the currently selected channel or new Sampler, Granulizer or Fruity Slicer channel:
  • Wave sample / TS404 shape (*.WAV)
  • SoundFont library (*.SF2). Can be sent only to a Fruity SoundFont player channel.
  • Speech preset (*.SPEECH)
  • SimSynth preset (*.SYN)
  • DrumSynth preset (*.DS)
  • FastTracker extended instrument (*.XI)

Other

Left-click to preview (applies to Sampler presets only). Right-click to send to the current or new channel (applies to channel presets only):
  • Generator/Effect preset (*.FST)

Right-click to apply the score to the current channel:

  • FruityLoops Score file (*.FSC) or MIDI file (*.MID)

Right-click to apply the humanize preset to the current channel:

  • Humanize preset (*.FPR)

Most if the items can be also applied with standard drag and drop operations. For example to apply channel preset to a channel, just drag and drop the preset on the appropriate channel settings button (see Step Sequencer). You can drop the channel preset or sample below the last channel to create new one.

Browser Folders

Left-click a folder to expand/collapse it. Right-click and select Explore Folder to open the folder in a Windows Explorer window. Rollover the name of a folder for a short description. The folders seen by default in the Browser window include:

  • All subfolders of FruityLoops Folder/Samples - Contains a collection of generator/effects presets, scores, samples etc.
  • FruityLoops Folder/Loops - Contains a collection of sample projects (FLP files). This folder is seen in the Browser as "FLP loop files"

You can also add custom folders to be seen in the Browser from the File Settings window.


BROWSER

Project Browser

The FruityLoops Browser contains a special folder named Current Project. When expanded, this folder shows a list of patterns that contain events for one or more automated controls. The entries in those subfolders represent the controls that were automated in the corresponding pattern. Left-clicking an entry opens its Event Editor. Right-clicking opens a menu that allows you to open an Event Editor in a new window and link the control to a MIDI controller for remote controlling.

The Project Browser can also display which patterns contain Piano Roll data. Right-click the Current Project folder and deselect Show Automation Only (on by default). You will see a list of patterns that contain Piano Roll sequence(s) as well.

Each file appears in the Browser with a special icon on the left side of its name:

  • - Automated or initialized controls.
  • - Piano Roll score.
  • - Property linked to MIDI or Internal controllers.

Project Browser Sections

The Project Browser contains the following folders:
  • Initialized Controls - Contains a list of all controls that were initialized. Right-click and entry and select Delete Event to remove the initialization.
  • Remote Control - Contains a list of controls that were linked to MIDI or Internal controllers. Right-click an item in this folder to see the automation menu for the control.
  • Pattern Folders - These folders list all automated controls for the individual patterns. If Show Automation Only is not selected, then the Piano Roll scores are listed as well. Right-click an item in these folders to see the automation menu for the controls.


Generators

Each channel in FruityLoops contains one generator. The generator is a synthesizer that creates the actual melody. Generators are all bass lines, strings, kicks, snares, cymbals etc. FruityLoops comes with several built-in generators, and also supports third party plugin generators in VSTi and DXi format (see Fruity Wrapper's help), and its own generator plugin format.

Sampler Generator

TS404 Generator

Layer Channel

Other Included Generators

Channel Settings


 GENERATORS

Sampler

The Sampler uses a wave sample to generate its sound. It contains 4 real-time envelopes and 5 LFO-s for controlling volume, panning, pitch, cutoff and resonance of the output. For more information, see Sampler Channel Settings and Instruments Channel Settings.


 GENERATORS

TS404

TS404 is unique bass-line synthesizer that can simulate the sound of many classic synthesizers, such as TB-303, but can also create many distinctive, TS404-specific sounds as well. Contains two oscillators, cut/res filter, envelope, LFO and a distortion unit. For more information, see TS404 Channel Settings.


 GENERATORS

Layer

The Layer channel does not produce any sound by itself - it is instead used to control a set of other layers.

Playing a note on a Layer channel results in playing the same note on all children of that channel. This allows you to create complex instruments with different samples and envelopes assigned to key regions, or mix the sound of several generators in one instrument controlled by a single Layer channel. You can also control a Layer channel from another Layer channel to create instruments with unlimited complexity.

Child of a Layer channel can be any sampler channel, as well any Fruity Plugin generator, or VSTi/DXi generator. TS404 is not supported for layering due to its different sequencing method.

1. Levels Adjustment

This section contains four wheels that control the volume (VOL), panning (PAN), cutoff (CUT) and resonance (RES) levels of the channel. They duplicate, more or less, the functionality of other controls found in the Channel Settings window. However, they are still useful for some reasons:

Easier automation - You can, for example, create a fade in/out effects for a channel using the volume adjustment wheel instead of the channel volume control. This allows you to independently set the overall volume level using the channel volume wheel, without needing to recreate the automation data. Another example is to use the pan adjustment wheel in this section to create panning LFO without automating the channel pan wheel - so you can adjust the overall panning without recreating any automation data.

Wider range - The volume adjustment wheel has a range of 0% to 200% as a difference from the channel volume wheel (0%-100%). This way you can preamp the volume up to twice louder the original level without using additional effects for that purpose.

NOTE: The levels you set here apply ONLY for the notes played through this layer channel. If you play a child of this channel through its own Step Sequencer dots or Piano Roll, these settings will not be used in any way.

2. Layering

Set Children - Assigns all selected channels in the Step Sequencer as children if this Layer channel. After the assignment when you play a note on the Layer channel, all the children will play along. To unassign a channel from the Layer channel, just select all the channels you want to remain children and press the Set Children button again (all unselected channels become unassigned for this Layer channel).

Show Children - Selects all channels that are children of this Layer channel in the Step Sequencer and deselect all other channels

Random - When this option is off, playing a note in the Layer channels plays the same note in ALL children of that Layer channel. Turning this option on will instead select a random child and play the note on it. You can use this feature to make more analog-like drums or instruments, by assigning many similar samples to each of the children, for each note random sample will be played, thus creating more natural sound for some drums/instruments.

Crossfade - When this option is on, you can use the Fade wheel to create crossfades between two channels that are children of this Layer channel. If, for example, you have 3 channels that are children of a Layer channel, as you turn the Fade wheel from left to right you will hear: Child1 >> Crossfade: Child1+Child2 >> Child2 >> Crossfade: Child2+Child3 >> Child3. First channel is considered the topmost channel (of those that are children for the Layer channel). Second channel is considered the first one below it etc.

Fade wheel - Used to set the crossfade level in crossfade mode.

If you click the small arrow at the top left of this panel you can access some additional commands:

Split Children - Splits the children of the Layer channel across the keyboard (starting with the root key of the Layer channel), assigning each layer to a single key. The root keys of the children are automatically adjusted, so they have the proper pitch when played through the Layer channel. This feature is useful when creating drumkits or instruments where each note has different sample.

Group Children - Adds all children of the Layer channel to a group (a popup window will appear to enter the name of the group). For more information see the Channel Filtering section in the Step Sequencer page.

3. Preview Keyboard

The preview keyboard lets you preview (left-click a key) the Layer channel sound, sets the root key (right-click a key), and set key region of the channel (drag the gray ruler to define the region).

Root Key - The orange rectangle in the ruler above the piano keys shows the root key of the channel. Since each sample has particular pitch (except probably noise samples), FruityLoops has to know how to interpret it - when you set the root key to C6, FruityLoops maps pitches considering that when played at its original speed, sample has pitch of C6. All other notes are generated by changing sample's speed (and thus changing its pitch). So actually setting the root key higher makes all notes sound lower. For example if a sample has pitch C5, and you map it to C6, FruityLoops will consider that C5 sample as C6, thus shifting all notes one octave down. To set the root key right-click a key on the preview keyboard.

Key Region - When you set key region for a channel, all note events outside the region will be ignored (not played). This feature makes no sense when using a channel by itself. However, when using a channel as a layer in a Layer channel to create complex instruments, you might want some of the layers to play only in their specified region, for example, having different sample for each octave (each sample is placed in a separate channel). Drag the ruler above the piano keys to define key region for this channel. Once created, you can edit the limits of the region by dragging its end points.

The panel above the preview keyboard contains some additional options:

  • Reset - Sets back the default base note and removes the key region (all notes will be played). For the Sampler & DrumSynth that is C5. For SimSynth it depends on how the preset was set in SimSynth.
  • Fine tuning (FINE) - You can use this wheel to fine-tune the base note in cents. 100 cents are one semitone


 GENERATORS

Other included generators.

FruityLoops comes with some great plugin generators - Fruity SoundFont Player, 3xOSC, Plucked!, BeepMap, Wasp (demo), SimSynth Live (demo), MIDI Out, Fruity Granulizer, Fruity DX10, Fruity Vibrator and many other.

  • SoundFont Player is an advanced sampler which supports the popular SoundFont2 format.
  • Wasp is a 3-oscillator synth with 2 LFO's and 2 ADSR envelopes, a ring modulator, FM, PWM and a distortion unit.
  • SimSynth Live is the FruityLoops generator version of the award winning SimSynth synthesizer.
  • Fruity DrumSynth Live is the FruityLoops plugin version of the popular DrumSynth standalone created by Maxim Digital Audio. It has many extra features over the standalone version - up to 24 patches per channel (for creating complete drumkits), dynamic patch morphing, velocity to property mapping etc.
  • Fruity DX10 is an 8-voice polyphonic FM synth designed for high quality (low aliasing) sound and low processor usage.
  • 3xOSC is a Sampler plugin (it replaces the wave sample in the Sampler). As it name says, it is a set of 3 oscillators that together with the Sampler's set of filters, envelopes and LFO-s can produce a great variety of sounds - SID-like synths, organs, bass lines, strings...
  • Fruity Slicer uses the beat detection algorithms in BeatSlicer/BeatCreator to slice up a wave file into pieces and then makes the slices accessible via the Piano Roll.
  • MIDI Out is a powerful MIDI output plugin that supports 8 pages of 9 freely assignable controllers each.
  • Fruity Granulizer utilizes the grain synthesis technology. Using this generator you can compress and stretch waves (pitch is preserved!), and create some unique effects.
  • Plucked! is a Karplus-Strong plucked string generator.
  • Fruity Kick is a kick drum synthesizer, perfect for trance/dance projects.
  • BeepMap generates sounds based on a custom bitmap image.
  • Fruity Vibrator adds vibes to your songs using a force feedback device.

Note: FruityLoops includes only the DEMO VERSIONS of the following generators: SimSynth, Wasp, DrumSynth Live, SoundFont Player, Fruity DX10. The demo versions function exactly like the commercial versions, but their channels will not be saved in the project files. You can purchase the full versions of these generators at www.fruityloops.com.


Channel Settings

The Channel Settings window contains all options that define how a generator sounds. To open it, click the Channel Settings button in the Step Sequencer. The following settings pages are available in this window:

Main Channel Settings

Sampler Settings (SMP)

TS404 Settings (TS404)

Plugin Settings (PLUGIN)

Instrument Settings (INS)

Miscellaneous Settings (MISC)

Function Settings (FUNC)

To change the name of a channel, right-click the title bar of the window. Write a new name and press enter.

To change the button color of a channel, right-click the title bar of the window, and click the color sample on the right side of the name edit field. Select a new color and press Enter.

There is also a menu with additional options you can access by clicking the button at the top left corner of the Channel Settings window (as shown in the picture below).

Channel Settings menu commands:

  • Save Channel State as - Allows you to save the current channel settings as a preset file. Preset is saved as a FST file. It is recommended that you save your presets in the default location FruityLoops chooses, so they can be properly detected and shown in the list of available presets for the generator.
  • Assign Free FX Track - Links the channel to the first empty (without effects) FX track available. This is reflected in the FX selector in the Main Channel Settings. This command will not appear in channels that hold MIDI generator or other generators that do not output wave data (only wave output can be processed by effects). For more information on FX tracks, see Effects Tracks window.
  • Set Name - Select this command to rename a channel (the same can be done by right-clicking the title bar of the window)
  • Save Modified Sample as - Allows you to save the currently loaded sample with all precalc effects applied to it (see Sampler Channels Settings). This command appears only in channels that hold Sampler generator.
  • Reload Sample - Use this command to reload samples when they were altered in external applications (wave editors etc.), after FruityLoops was started. This command appears only in channels that hold Sampler generator.
  • Interpolate All TS404 Events - Interpolates the automation of all TS404 specific channel settings (all contained in the TS404 Channel Settings page). This command will appear only in channels that hold a TS404 generator.


 CHANNEL SETTINGS

Main Channel Settings

Main Channel Settings are located at the top of each Channel Settings window. They are some common options every generator has. You can double-click the title of Channel Settings window to shrink it, so only the Main Channels Settings remain visible. Double-click again to expand.

    1. Channel Panning - Sets the panning of a channel.
    2. Channel Volume - Sets the volume of a channel.
    3. Channel Pitch - Tweaking this wheel adds and subtracts cents from the pitch of a channel. To set wheel's range you can use the pitch bend range LCD (it sets the range in semitones. 100 cents are one semitone).
    4. FX Selector - This control lets you choose which FX track (of 16 available) will filter the current channel. Just left-click and drag up/down to set a desired FX track number. This control will not appear in channels that hold MIDI generator or other generators that do not output wave data (only wave output can be processed by effects). You can double-click the FX Selector to bring up the Effects Tracks window.


 CHANNEL SETTINGS

Sampler Channel Settings (SMP)

The Sampler Channel Settings page holds properties specific for the Sampler generator. It also appears in plugin generators that support custom shapes for their oscillators. In such case, only the sample bank is visible in this tab.

1. Sample Bank

The sample bank contains the wave that Sampler uses for synthesis. Left-click the button on the left side to browse a sample or SimSynth/DrumSynth preset for the sample bank. The Open dialog has been enhanced with Favorites section. The combo box on the right side displays the name of the currently selected sample. If you left-click it, a history list with recently opened samples shows.

2. Wave

Contains general wave handling routines.

  • Keep on Disk - Turning this option on lets you save memory by streaming the sample from your hard disk, instead of loading it entirely in the memory. Note that to be able to use this option, the sample needs to be in 44100 kHz 16 bit Stereo format. Also, you can not use precalculated effects (4), because they are applied to the whole wave at once.
  • Resample - If your sample is not at 44100 kHz 16 bit Stereo format, you can click this option to let FruityLoops resample the wave for higher quality output. However, it is not recommended to turn this on for looped samples. Since all loop points are sample aligned, resampling may cause clicks. Note that while this option improves the real-time playback, it requires additional CPU and memory (resampled waves are bigger). Also, if you export your wave/mp3 with hermite curve interpolation or better, then the quality of non-resampled waves won't be degraded.

3. Loop

Contains options concerning sample looping.

  • Use Loop Points - If the sample contains loop points (this is visible in the Sample view described below), you can check this option to make the sample loop. It will start playing from the beginning, then when it reaches the loop end point, it will "jump" back to the first loop point, thus creating sound with unlimited length, useful for instruments like strings, organs etc.
  • Ping Pong Loop - This effect will take the wave between the loop markers and insert it reversed right before the loop end marker. The audible effect is like sample "ping-pongs" between the start and end loop points, instead of just jumping back to the start loop point.

4. Precalculated effects

It is a set of effects and processing routines for the sample loaded in the sample bank. None of them requires additional CPU power to play your song, because they are all applied precalculated - FruityLoops processes the sample and then it loads it in the memory with all effects already applied. However, this fact makes the automation of precalc effect impossible (see Automation). Also, they can not be applied to streamed samples (when the Keep on Disk option is turned on), since they need to process the whole wave at once.

  • Center DC - Removes any DC offset in the loaded sample.
  • Reverse Stereo - Switches left and right channel in the loaded sample.
  • Reverse - Reverses the sample.
  • Fade left to right - Creates a fade from left to right channel in the sample.
  • Boost (FX1) - This effect is useful for boosting up & overdriving your sample.
  • Sine FX - Applies a sine modulation to the sample. The first wheel controls the amount of modulation; the second one controls the sine frequency.
  • Pitch bend (FX3) - Applies pitch bend to the sample. Useful with drum samples.
  • Attack & Decay (ATT & DEC) - Turn right the attack wheel to create a fade in effect in your sample. Decay creates fade out (this is not true instrument envelope. To use a real AHDSR envelope, use Instrument Channel Settings instead).
  • Reverb - Use this effect to add echoic ambiance to your sample. You have two different modes of reverb available - A & B. The wheel controls the amount of reverb applied to the sound. This effect may extend your sample at the end to fit the whole reverb (it is recommeded that you use the real-time reverb effect included with FruityLoops - Fruity Reeverb, see Effects).
  • Cutoff & Resonance (CUT & RES) - Applies a low pass cutoff and resonance filter (for a real-time automated cutoff and resonance filter, see Instrument Channel Settings).
  • Amplify (AMP) - You can use this effect to make louder low volume samples.
  • Stereo Delay (S.DEL) - This effect applies a short delay between the left and the right side of the sample, which creates a pseudo stereo effect. Turning the wheel to right slides the left channel forward, while turning it left slides the right channel forward. Note that it is recommended not to use that effect on looped samples. Since all loop points are sample aligned, sliding either channel may cause clicks.

Precalc Effects Apply Order:

This is the order in which all precalc effects are applied to the sample:

Stereo Delay [image] Reverse [image] FX3 [image] Sine [image] Cutoff & Resonance [image] Attack [image] Decay [image] Amp [image] FX1 [image] Pan/Fading [image] Final Clipping [image] Reverb [image] Rev. Stereo [image] End Silence Removal

5. Stretch

Left-click and drag up and down to set a number of steps (16-th notes) the sample will be stretched to. This is a real-time effect, so it will follow properly tempo changes during the song. However, note that samples are stretched with pitch non-preserving technique, so you can not have different pitches (tones) with one tempo. This makes it more suitable for use with drum loop samples instead of instrument samples. You can also right-click the LCD to gain access to a menu with several predefined stretch lengths. To turn off the effect (so the sample can have different pitches - notes, slides), just drag down until the LCD displays four dashes.

6. Sample View

The sample view displays the loaded sample (with all precalc effects applied to it). It also shows the loop points, if such exist (loop points can be set by using an external wave editor). The first vertical red line is the loop start point; the second one is the loop end point. Left-clicking the sample view previews the sample. Right-clicking it shows a menu with additional channel settings and commands. It contains exactly the same entries as the menu you can call by clicking the button at the top left corner of the Channel Settings window.

7. SimSynth Preset

This panel appears only when a SimSynth preset is used to fill the sample bank.

Enable the Use Riff option if you want to generate the whole riff in the preset (this option is disabled if the preset you used does not contain riff data). The Tempo wheel lets you set the tempo of the generated riff.

8. DrumSynth Preset

This panel appears only when a DrumSynth preset is used to fill the sample bank. They are few parameters that define the generated sound and they are identical to the same options in DrumSynth standalone.

  • Tone (TONE) - Sets the loudness of the sine oscillator in DrumSynth.
  • Overtone (OVER) - Sets the loudness of the second oscillator in DrumSynth.
  • Noise (NOISE) - Sets the amount of white noise added to the sample.
  • Noise Band (BAND) - Sets the loudness of noise band generator in DrumSynth.
  • Time (TIME) - Sets the length of the generated sample.


 CHANNEL SETTINGS

TS404 Channel Settings (TS404)

The TS404 Channel Settings page appears only in channels that hold a TS404 generator. This page holds specific properties for the TS404 generator.

1. Oscillators Section (OSC 1 & OSC 2)

This section contains the oscillator generation options. An oscillator is a waveform with specific repeating pattern, which is then filtered to create the way TS404 sounds. Oscillators in TS404 have a similar function as the wave sample in the Sampler.

TS404 has two oscillators (OSC1 & OSC2). Each of them can have one of the following wave shapes - saw, rounded square, sine, square and custom (wave shape buttons are at top of each oscillator panel). Custom lets you use a short wave file to be the shape of an oscillator. FruityLoops comes with several sample shapes that are located in the "TS404 Shapes" folder in the Browser. You can change the custom shape using the sample bank field in the Sampler Channels Settings.

  • Coarse Pitch Tune (CRS) -Allows you to set the pitch of an oscillator in range of two octaves.
  • Fine Pitch Tune (FINE) - Allows you to fine tune the pitch of an oscillator.
  • Pulse Width (PW) - Pulse width makes oscillator's shape restart preliminary without finishing its phase.
  • Frequency modulation (FM) - Applies frequency modulation to the second oscillator, based on the output from the first one.

2. Oscillators Mixer Section (OSC 1+2)

  • Mix (MIX) - Determines how the outputs of OSC 1 and OSC 2 are mixed together. The more you turn that wheel left, the more you hear oscillator 1. The more you turn it right, the more you hear oscillator 2.
  • Ring Modulation (RM) - Turning this wheel up adds an amount of ring modulated version of the oscillators' output.
  • Synchronize (SYNC) - Turning this option on will synchronize the phases of the oscillators.

3. Envelope

Applies an envelope to the filter and the volume of TS404. The envelope behaves much like a standard ADSR envelope, but has some additional properties (sustain hold and gate).

  • Attack (ATT) - Sets the attack value of the envelope.
  • Decay (DEC) - Sets the attack value of the envelope.
  • Sustain Hold (SUS) - With this wheel you can set a period of "holding" the sustain state before release.
  • Sustain Level (SL) - Sets the sustain value of the envelope.
  • Release (REL) - Sets the attack value of the envelope.

4. Filter

Applies cutoff & resonance filter to the TS404 sound. You can choose among several types of cutoff and resonance filter to be applied. Filter mode buttons are located at the top of filter's panel.

  • Cutoff (CUT) - Sets the cutoff value of the filter.
  • Resonance (RES) - Sets the resonance value of the filter.
  • Envelope Follow (ENV) - Sets the degree to which the envelope of the TS404 is applied to the resonance value.

5. LFO Section

Controls a LFO that can modulate one of the following properties: volume of the oscillators (OSC), resonance (RES), cutoff (CUT) or pulse width of the first oscillator (PW). The buttons allowing you to select what to modulate are located at the top right corner of the LFO panel. You can also select a shape for the LFO (sine, square and triangle). The buttons are at the top left corner of the LFO panel.

  • Amount (AMT) - Determine the amount of modulation applied to the altered value.
  • Speed (SPD) - Sets the frequency (i.e. speed) of the LFO.

6. Distortion Section

Contains controls that allow you to add distortion to the TS404 sound. You can choose between two distortion modes (A & B buttons, located on top of distortion's panel).

  • Amount (AMT) - Sets the amount of distortion.
  • Threshold (THR) - Selects the frequency band to be distorted. The more you turn this wheel to right, the wider the band is.


 CHANNEL SETTINGS

Plugin Channel Settings (PLUGIN)

The Plugin Channel Settings page will appear only in channels that hold external plugin generators. This page in Channel Settings holds the plugin editor where you set its specific options (that are different for every generator). Usually, the editor is displayed inside the Channels Settings window, when you click the PLUGIN tab button. However, some generators have bigger interfaces that do not fit inside that area, so they will appear in a separate window. In this case, the PLUGIN tab button will launch the editor's window when clicked.

Supported Generator Standards

FruityLoops supports VSTi and DXi plugins and its own Fruity Plugin format.

DirectX Instruments (DXi, DXi2)

FruityLoops supports DirectX plugin generators standard developed by Twelve Tone Systems (R) and Microsoft (R). DirectX plugins are registered on installation directly in Windows, so FruityLoops will detect them no matter in what folder they were installed. However, in order DirectX plugin system to work, you need to have installed the latest DirectXMedia (it is now included in DirectX 8 run-time installation, which can be downloaded from www.microsoft.com).

VST2 Instruments (VSTi)

VST2 instruments are supported in FruityLoops by using the special Fruity Wrapper plugin (generator version). VSTi plugins are DLL files that should be installed in the VST folder of FruityLoops in order to use them (<FruityLoops Folder>\Plugins\VST). You can also set up an additional VST folder from the Directories window. For more information, see Fruity Wrapper's help.

Fruity Plugin Generator Standard

FruityLoops 3.0 introduces its own plugin generators standard. Fruity Plugins have their own editor interface and still events can be automated and edited using the Event Editor (just right-click a control in the editor).

Note: Some generators support custom wave samples / oscillator shapes. In such generators, the Sampler Channels Settings page is visible, where you can set the wave file to be used as custom sample/shape.


 CHANNEL SETTINGS

Instrument Channel Settings (INS)

The Instrument Channel Settings page contains options for additional adjusting how the Sampler plays a note. It appears in Sampler generators and Sampler plugins (these plugins replace the function of the wave sample in the Sampler).

1. Envelope & LFO Section

Contains envelopes and LFO-s for pan, volume, cutoff, resonance & pitch values in the Sampler. With the tab buttons bar at the top of the Instruments Channel Settings you choose which envelope/LFO to edit. So there are 4 envelopes (pan does not support envelope) and 5 LFO-s for each setting on the tab bar. An envelope is applied only when it is turned on from the orange led at the top left corner of the envelope section.

Envelope Section

Envelopes in this section behave much like standard ADSR envelope, but they have been enhanced with few additional properties (delay, hold and amount). You can control the envelope properties from the wheels, or you can drag up/down directly the elements in the envelope preview.

  • Time/Tension mode switch (TIME/TNS) - These buttons switch between time and tension editing for the envelope. In time edit mode, the wheels set the length of the attack, decay, release etc. envelope elements. In tension edit mode, you set the shape of the elements instead (logarithmic, linear or exponential).
  • Delay (DEL) - Delay can be used to add a "gap" between note's actual start and the envelope attack state.
  • Attack (ATT) - Controls attack length of the envelope (attack shape in tension edit mode).
  • Hold (HOLD)- This property "holds" the attack at its maximum level for a period before the decay starts.
  • Decay (DEC) - Controls decay length of the envelope (decay shape in tension edit mode).
  • Sustain (SUS) - Determines sustain level of the envelope.
  • Release (REL) - Determines release length of the envelope (release shape in tension edit mode).
  • Amount (AMT) - Controls the way envelope is applied to the property it modulates. Volume does not contain such wheel, because the envelope is applied "straight" to note's volume - lowest point is zero volume, highest means highest volume (of course with respect to channel's volume). However, channel's cutoff, resonance & pitch values are already set in the Sampler (pitch is notes & slides, cutoff and resonance is explained in the Filter section below in this page). That is the reason why their envelopes act as an offset of the actual values. If the Amount wheel is centered, the envelope is NOT applied in any way to the values. The more you turn it right, the more envelope adds to the value it modulates. The more you turn it left, the more envelope subtracts from the value it modulates.
  • Tempo Based (TB) - Turning this option on makes lengths of attack, hold, decay etc. tempo based, so they change accordingly when tempo is changed. With this option checked, you can right-click all wheels in an envelope section (except Amount and Sustain, which don't set a time period) and point to the Set menu item. A submenu will open that contains some predefined tempo based lengths. Select any of them to apply it. If you select a predefined tempo-based length from this menu and the Tempo Based option is not checked, it will turn itself on automatically.
  • Log Attack - If Log Attack is turned on, the attack of the envelope has logarithmic shape (the logarithmic shape is not reflected in the envelope display).
  • Log Decay - If Log Decay is turned on, the decay of the envelope has logarithmic shape (the logarithmic shape is not reflected in the envelope display).

LFO Section

Applies LFO modulation to pan, volume, cutoff, resonance and pitch settings. You can choose among 3 LFO shapes - sine, triangle, square (shape selector is located in top left corner of LFO section).

Delay (DEL) - Delay can be used to add a "gap" between note actual start and LFO applying.

Attack (ATT) - This property sets attack length in the LFO modulation.

Amount (AMT) - Amount wheel controls the way LFO is applied to the property it modulates (LFO is applied as an offset of the original value of a property). If Amount wheel is centered, LFO is NOT applied in any way to the values. The more you turn it right or left, the more LFO is applied to values. Turning wheel to right causes the values above center in the LFO to be added to the values, and those below center to be subtracted. Turning to left will act the opposite way.

Speed (SPD) - Controls the frequency (speed) of the LFO.

Tempo Based (TB) - Turning this option on makes lengths of delay, attack and speed tempo based, so they change accordingly when tempo is changed. With this option checked, you can right-click all wheels that control those values in a LFO section and point to the Set menu item. A submenu will open that contains some predefined tempo based lengths. Select any of them to apply it to the wheel. If you select a predefined tempo-based length from this menu and the Tempo Based option is not checked, it will turn itself on automatically.

Global - Turning this options on makes the current LFO global, so it does not restart in the beginning of each note. If unchecked, LFO is local to each note.

2. Filter Section

This section controls the cut/reso filter type and it's cutoff & resonance values. Cutoff (CUT) wheel controls the cutoff threshold, Resonance (RES) wheel controls the resonance level. The combo box below them shows the currently set cut/reso filter type. Left-click it to set another filter type from the menu that appears.

3. Preview Keyboard

The preview keyboard lets you preview (left-click a key) the generator, sets the root key (right-click a key), and set key region of the channel (drag the gray ruler to define the region).

Root Key - The orange rectangle in the ruler above the piano keys shows the root key of the channel. Since each sample has particular pitch (except probably noise samples), FruityLoops has to know how to interpret it - when you set the root key to C6, FruityLoops maps pitches considering that when played at its original speed, sample has pitch of C6. All other notes are generated by changing sample's speed (and thus changing its pitch). So actually setting the root key higher makes all notes sound lower. For example if a sample has pitch C5, and you map it to C6, FruityLoops will consider that C5 sample as C6, thus shifting all notes one octave down. To set the root key right-click a key on the preview keyboard.

Key Region - When you set key region for a channel, all note events outside the region will be ignored (not played). This feature makes no sense when using a channel by itself. However, when using a channel as a layer in a Layer channel to create complex instruments, you might want some of the layers to play only in their specified region, for example, having different sample for each octave (each sample is placed in a separate channel). Drag the ruler above the piano keys to define key region for this channel. Once created, you can edit the limits of the region by dragging its end points.

Note that the Preview Keyboard also appears in Miscellaneous Channel Settings page, and there it contains some additional options, like fine-tuning the base note, reset command etc.


 CHANNEL SETTINGS

Miscellaneous Channel Settings (MISC)

The Miscellaneous Channel Settings page contains various generator settings. These settings appear in all generators (including third party ones).

1. Levels Adjustment

This section contains four wheels that control the volume (VOL), panning (PAN), cutoff (CUT) and resonance (RES) levels of the channel. They duplicate, more or less, the functionality of other controls found in the Channel Settings window. However, they are still useful for some reasons:

Easier automation - You can, for example, create a fade in/out effects for a channel using the volume adjustment wheel instead of the channel volume control. This allows you to independently set the overall volume level using the channel volume wheel, without needing to recreate the automation data. Another example is to use the pan adjustment wheel in this section to create panning LFO without automating the channel pan wheel - so you can adjust the overall panning without recreating any automation data.

Wider range - The volume adjustment wheel has a range of 0% to 200% as a difference from the channel volume wheel (0%-100%). This way you can preamp the volume up to twice louder the original level without using additional effects for that purpose.

2. Cut / Cut By

Using Cut/Cut By you can set triggering of a note in one channel to cut notes in another one. To do this you set the Cut value (the LCD on the left) to some number in the channel that will cut notes and then set the Cut By value (the LCD on the right) to the same number in another channel (that will be cut from the first one). FruityLoops will not detect if the Cut value is set to the same number in several channels, so you may freely create any combination to suit your needs. You can also make a channel to cut itself - just set its Cut/Cut By values to the same number. FruityLoops will do this automatically (finding unique numbers, not used in other channels) if you check the Cut Itself button.

Please note that cutting just sets all notes' envelopes to release state. So if release you set is long, you will still hear a note fading out after it was cut.

This section will not appear in the TS404 generator, because it uses different approach for generating its sound.

3. Polyphony/Portamento

Drag up and down in the Max Polyphony LCD (MAX) to reduce the maximum number of voices this channel will play simultaneously. Setting this property to lower number reduces the amount of CPU used to play the song. If the LCD displays dashes, this means that polyphony is not restricted to any number.

Turning on the Mono button sets the generator to monophonic mode (maximum one note played at a time). In this mode, when two notes overlap (the overlap amount does not matter) they will "slide" one to another (including their properties - cutoff, resonance and panning). You can set the transition length with the Portamento Time wheel.

Turning on the Porta button enables the portamento feature for this channel (sliding the pitch from note to note). In FruityLoops the portamento transition includes also all other properties of the note (cutoff, resonance and panning).

Portamento Time wheel (SLIDE) is used to set the slide length when portamento is turned one. This setting is also used for overlapping notes in Monophonic mode. The more you turn the wheel to right, the longer the slide.

This section will not appear in a TS404 channel, because it works only in monophonic mode.

NOTE: Portamento and sliding of overlapping notes is not supported by DXi and VSTi generators. It may also not be supported by some Fruity Plugin generators (those that do not support pitch bending).

4. Preview Keyboard

The preview keyboard lets you preview (left-click a key) the generator, sets the root key (right-click a key), and set key region of the channel (drag the gray ruler to define the region).

Root Key - The orange rectangle in the ruler above the piano keys shows the root key of the channel. Since each sample has particular pitch (except probably noise samples), FruityLoops has to know how to interpret it - when you set the root key to C6, FruityLoops maps pitches considering that when played at its original speed, sample has pitch of C6. All other notes are generated by changing sample's speed (and thus changing its pitch). So actually setting the root key higher makes all notes sound lower. For example if a sample has pitch C5, and you map it to C6, FruityLoops will consider that C5 sample as C6, thus shifting all notes one octave down. To set the root key right-click a key on the preview keyboard.

Key Region - When you set key region for a channel, all note events outside the region will be ignored (not played). This feature makes no sense when using a channel by itself. However, when using a channel as a layer in a Layer channel to create complex instruments, you might want some of the layers to play only in their specified region, for example, having different sample for each octave (each sample is placed in a separate channel). Drag the ruler above the piano keys to define key region for this channel. Once created, you can edit the limits of the region by dragging its end points.

The panel above the preview keyboard contains some additional options:

  • Enable Main Pitch - If you turn off this option, channel's pitch won't be altered when you change the main pitch value (see Main panel).
  • Add to Key - When this option is on, the root key works, as expected, by offsetting the whole keyboard including all key range specific options (like samples assigned to specific range of notes). So when you set the root key to C6 when it is normally C5, and play C6, it's exactly like if you played C5 with root key C5 (the preview keyboard shows the actual note being played in this mode as well). When this option is off, however, only the pitch is offset, and the rest of the features remain as they were with the default root key. So, if in the previous example you set the Add to Key option off, playing C6 will result in hearing a C5 tone, but with the samples and properties that are mapped to C6. This feature makes no difference for generators that have single sample and properties along the whole keyboard. However, it will act differently when used with generators like the Fruity SoundFont2 player or the Fruity Slicer generator, where different samples may be assigned to different keys.
  • Reset - Sets back the default base note and removes the key region (all notes will be played). For the Sampler & DrumSynth that is C5. For SimSynth it depends on how the preset was set in SimSynth.
  • Sampler & SimSynth/DrumSynth - These buttons appear only in Sampler generator, when SimSynth or DrumSynth preset is used to fill the sample bank in Sampler Channel Settings. If the Sampler button is clicked, the base note you set in preview keyboard is used as usual by the Sampler as a base tone of the sample (in this case the sample generated by the SimSynth/DrumSynth preset). When the SimSynth/DrumSynth button is clicked, the base note is used by the SimSynth's or DrumSynth's engines respectively for a pitch of the sample generated.
  • Fine tuning (FINE) - You can use this wheel to fine-tune the base note in cents. 100 cents are one semitone.


 CHANNEL SETTINGS

Function Channel Settings (FUNC)

The Function Channel Settings page is a set of event filters and processors: echo delay, arpeggiator, keyboard tracker, time shifting and a gate. These processors are available for all generators (including third party ones), except the TS404, which has different sound generation approach, so it can not have echoed or arpeggiated note events (you can still have echoes in TS404, see TS404 Channel Settings).

1. Echo Delay Section

This section lets you set up echoes for the channel, but be warned that this is NOT a real delay line. It does not create echoes of the wave output of the channel, but creates echoes of the note events instead. This enables some special effects like pitch shifted echoes, but also requires additional CPU power for each echo generated (because each echo created with this section is a normal note event). If you want to use a standard delay line, use the Fruity Delay effect instead (see Effects).

All options described below are applied additive to each successive echo. For example, if you set the pitch wheel to +10 cents, the first echo will have 10 cents higher pitch than the original sound. The second will have 20 cents higher pitch than the original sound etc.

  • Feedback (FEED) - Sets the volume of echoes. If this wheel is centered, echoes have the same volume as the original note. Turning it to left creates fading out echoes. Turning it to right increases the volume of each successive echo. Turning this wheel to the leftmost point turns echo delay off.
  • Pan (PAN) - Sets the panning of echoes.
  • Cutoff (CUT) - Sets the cutoff value of echoes.
  • Resonance (RES) - Sets the resonance value of echoes.
  • Pitch (PITCH) - Sets the pitch offset of echoes.
  • Time (TIME) - Sets the delay period between echoes in units of beats. This enables you to set a tempo based delay, so echo will follow properly tempo changes in the song.
  • Number of Echoes (# ECH) - Sets the number of echoes generated for each note. It is recommended to keep this number down for lower CPU usage.
  • Ping Pong - If turned on, the pan value will "bounce" when it reaches 100% left or right panning.
  • Fat Mode- This is a special mode of the echo delay effect, which makes subtler echoes with alternating panning - useful for creating flange and chorus-like effects. If this option is turned off, some options of the echo delay unit are reset to their defaults. The reason is that settings that sound fine in fat mode, usually are extremely loud in normal mode.

NOTE: If you click the small arrow at the top left of this panel you can access some presets for this section.

2. Arpeggiator

This section lets you add arpeggio effect to the note events of the instrument and plays it back in real time. To use the arpeggiator, select a direction from the icons in the top left corner of this section. The available options are: Off (default; turns off the arpeggiator), Up, Down, Up-Down, Up-Down (twice the lowest and highest notes), Random (selects random notes from the range and chord specified).

  • Arpeggio Time (TIME) - Select the delay between the successive notes generated by the arpeggiator. Right-click the wheel and select Set for some time presets.
  • Arpeggio Gate (GAT) - Applies gate the notes generated for creating short, staccato sounds.
  • Slide (Slide) - Check this option to make the arpeggiator slide between notes. This option will not work with generators that do not support slides.
  • Arpeggio Range (RANGE) - Lets you set the arpeggio range in octaves.
  • Arpeggio Chord (CHORD) - Lets you set a chord that will be used by the arpeggiator. If no chord is selected (none), the arpeggiator will progress with a step of 12 semitones (1 octave) within the specified octave range.

3. Time

Two filters are available in this section - a gate that "truncates" the note events when they pass a specified limit and a filter that shifts notes' start time.

  • Gate (GAT) - The time interval you set with this wheel is the maximum length of a note event for this channel - longer notes are truncated to the maximum length. Look in the hint bar (see Main Panel) to see the length you set in STEPS:TICKS format. Turn the wheel maximum to right to disable the gate filter.
  • Time Offset (OFS) - Turn this wheel to right to delay notes' triggering with up to 16-th note time period (one step).

4. Velocity/Keyboard Tracker

This section contains the settings of the velocity and keyboard trackers. The keyboard tracker "links" the note number (i.e. note pitch) to the cutoff, resonance and panning properties of the notes. Thus you can set the keyboard tracker, so higher note offsets the cutoff frequency to a higher value, for instance. The velocity tracker works exactly in the same way, but instead of following note's pitch, it uses note's velocity.

  • VOL/KB Switch - Click VOL to set the properties for the velocity tracker and KB to set the properties for the keyboard tracker. Selecting either of the trackers does not deactivate the other one, to turn off a tracker completely, reset its PAN, CUT and RES wheels (right-click a wheel and select the Reset command).
  • Middle value (MID) - For both trackers there is a middle value where no offsets are generated. Higher values generate positive offsets for the properties and lower values generate negative ones. For the keyboard tracker, the role of a middle value plays note's pitch (for ex. C5 or B3). For the velocity tracker that is note's velocity.
  • Panning Offset (PAN) - Sets the offset for note's panning. Turning this wheel to right means panning to right for notes with higher than the middle value and left panning for those with lower value. Turning the wheel to left generates the opposite effect.
  • Cutoff Offset (CUT) - Sets the offset for note's cutoff frequency. Turning this wheel to right means higher cutoff frequency for notes with higher than the middle value and lower cutoff frequency for those with lower value. Turning the wheel to left generates the opposite effect.
  • Resonance Offset (RES) - Sets the offset for note's resonance. Turning this wheel to right means more resonance for notes with higher than the middle value and less resonance for those with lower value. Turning the wheel to left generates the opposite effect.

The image below shows how offsets look for the sample settings in the screenshot.


Effects

In FruityLoops the wave output of generators can be filtered by various effects to add a final touch to your songs. FruityLoops comes with many included effects, so you can add reverb, phaser, flange, delay line and many other filters in your project having only the standard installation. FruityLoops also supports several standards for third party effects. All effects are combined in effects tracks, and each channel that outputs audio data can be linked to an effects track. To learn more about FX tracks, click the Effects Tracks Window link below. For more information on effects standards supported by FruityLoops, click the Supported Effects Standards link.

Effects Tracks Window

Supported Effects Standards

Note: For more information about the effects included in FruityLoops select Plugins/About FruityLoops Plugins in the Help menu.


 EFFECTS

Effects Tracks Window

The Effects Tracks window is the place where you may configure the whole effects system in FruityLoops.

    1. Master FX Track
    2. Effects Options Menu
    3. Insert FX Tracks
    4. Solo Switch
    5. Send FX Tracks
    6. FX On/Off LED
    7. FX Pop-up Menu Button
    8. ASIO Output Select
    9. FX Buttons
    10. Send Level Wheels

Any of the 16 insert FX tracks (3) can be linked to unlimited number of channels (see Main Channel Settings). Each FX track can have up to 8 effects attached - one in each FX button (9) (use the scrollbar on the right side or resize the window to see the other four buttons). The master FX track (1) processes the whole audio output of FruityLoops.

Apart from the 16 FX tracks and the master FX track, now FruityLoops contains four send FX tracks (5). These tracks can not be linked to channels. Instead, you can select what amount of the effects in each FX send track will be mixed in the rest of the FX tracks (separately), using the send level wheels (10). This way you can have the effects from the FX send tracks "weighted" in each one of the other 16 FX tracks, avoiding assigning additional plugins for this purpose.

The solo switch (4) soloes the selected FX track, so only its output is heard. Soloing the master FX track has no effect, because it processes the whole wave output of FruityLoops.

The ASIO output (8) combo box appears only when you use ASIO driver and your system supports multiple ASIO outputs. This feature allows you to send the sound of each track to a different ASIO output. It also appears when using FruityLoops multi output VSTi connection.

Effects Options Menu (2) :

  • Select Linked Channels ( [image] Ctrl+L) - Selects all channels that are linked to the currently displayed insert FX track.
  • Set Name - Lets you set a custom name for the current FX track.

FX Pop-up Menu (7) :

  • Select - Contains a list of all effects selected as favorites. Choosing an effect from this menu will assign it to the corresponding FX button. Click More... to open the Select plugin window, which contains a list of all effects present in FruityLoops. Double-click a plugin name to assign to the FX button. Click the check box preceding each plugin to mark it as a favorite (all effects preceded by a check mark will appear in the favorites list). If you want to temporally disable an effect, click its FX button - the FX On/Off LED (6) will turn off as a response and the effect will be disabled. Click again the button to enable the effect. NOTE: To see newly installed plugins, click Refresh in the bottom of the Select plugin window and select Fast Scan (it is recommended that you use Fast Scan than Scan & Verify, because it may crash FruityLoops with some bad plugins).
  • Presets - Contains a submenu with a list of presets for the effect. In the bottom of the list you can see the Randomize and Hybridize commands. Randomize gives random values to the published (i.e. known to FruityLoops) effect settings. Hybridize is a switch. When enabled, selecting a preset will load a random 50% of the settings in the preset, so you can quickly mix different presets and create new effects. The Presets menu is disabled if there is no effect assigned to the FX button.
  • Save Preset as - Allows you to save custom presets for the plugin assigned to the FX button. Presets are saved as FST files. It is recommended that you save preset files in the default location FruityLoops chooses, so they can be properly detected and added to the Presets menu.
  • Edit Event - Opens an Event Editor for an automatable property of the plugin. This option is useful for VST effects that have their own interface (so you can't open an Event Editor by right-clicking a control in them). However, keep in mind that some VST plugins might not report their properties correctly and trying to automate them might lead to crashes.
  • Link to MIDI Controller - Allows you to link the effect to a MIDI controller, so its settings can be remotely controlled. For more information, see Live Recording Using MIDI Controller.
  • Editor - Shows/hides the effect's editor window. Effect's editor is a window where you can set all effect-specific options (for reverb effect that is the reverb amount, decay etc.). You can also show/hide the editor by right-clicking the FX button.
  • Set Name - Opens a box where you can edit the name of the plugin.
  • Smart Disable - If this option is checked FruityLoops will pause the effect after the effects track it belongs to receives 4 seconds of silence. It will be run again at the moment any sound is received in the track. This feature works smoothly, without clicks, pops or other artifacts while enabling/disabling the effect, but it will not work correctly with plugins that apply "long effects", such as reverb that has more than 4 seconds long decay, delay lines and similar effects. But it will work fine with all kinds of equalizers, flangers, phasers, compressors etc. Using Smart Disable may significantly lower the CPU usage of your songs.
  • Move Up - Moves the effect one button up.
  • Move Down - Moves the effect one button down.

Note that you can access the same menu from the effect's editor window:


 EFFECTS

Supported Effects Standards

FruityLoops supports VST, VST2, DirectX plugins and its own Fruity Plugin format.

DirectX Plugins

FruityLoops supports DirectX plugin effects standard by Microsoft(R). DirectX plugins are registered on installation directly in Windows, so FruityLoops will detect them no matter in what folder they were installed. However, in order DirectX plugin system to work, you need to have installed DirectX Media 5.0 or later (it is now included in DirectX 8 run-time installation, which can be downloaded from www.microsoft.com).

VST Plugins

FruityLoops supports VST plugin effects standard by Steinberg(R). Most effects included with FruityLoops are currently in VST format. VST plugins are DLL files that should be installed in the VST folder of FruityLoops in order to use them (<FruityLoops Folder>\Plugins\VST). You can also set up an additional VST folder from the Directories window. For more information on these plugins open their help from Help menu.

VST2 Plugins

VST2 plugins effects are supported in FruityLoops by using the special Fruity Wrapper plugin (effect version). VST2 plugins are DLL files that should be installed in the VST folder of FruityLoops in order to use them (<FruityLoops Folder>\Plugins\VST). You can also set up an additional VST folder from the Directories window. For more information, see Fruity Wrapper's help.

Fruity Plugin Standard

FruityLoops 3.0 introduces its own plugin effects standard. Fruity Plugins have their own editor interface and still events can be automated and edited using the Event Editor (just right-click a control in the editor).


Playlist

The Playlist allows you to set a sequence of patterns to be played by FruityLoops. You can set several patterns to play at the same time, but note that you should not combine patterns that both contain notes for the same TS404 channel - since TS404 is monophonic, only one of the patterns will play.

    1. Playlist Menu Button
    2. Loop Indicator
    3. Playing Position Marker
    4. Close Button
    5. Maximize/Restore Button
    6. Pattern names
    7. Playlist Marker

Each line in the Playlist represents one pattern. The names of the patterns are displayed on the left side in the Playlist (6). You can right-click a name to change it.

Each column in the Playlist represents one bar. Bars are used as a unit of time in the Playlist. Current playing position is displayed by the playing position marker (3). Left-clicking in the grid puts a pattern in the Playlist, right-clicking it removes it - it acts much like the Step Sequencer, but the Playlist triggers patterns instead of samples. That is why when you create a loop longer than a bar using the Piano Roll, for example, you don't need to draw in the Playlist several successive bars - you should put just one and it will trigger the whole Piano Roll sequence.

Multibar Patterns in the Playlist

When you want to trigger multibar patterns in the Playlist (no matter if it is automation data or piano rolls), you should think for it like a step sequencer, but for patterns, instead of samples.

This means that to trigger the FULL sequence of a four bars long pattern, for example, you put ONLY ONE dot in the playlist and leave three "holes" after it, as showed on the picture. A common mistake made by FruityLoops users is drawing a "line" of dots as long as the pattern, but as with the Step Sequencer, what they actually do is restarting the pattern each time they put a dot.

Playlist Menu

The Playlist menu button (1) shows a menu that contains many useful commands for managing the Playlist.

1. Selection

  • Cut ( [image] Ctrl+X) - Cuts all selected dots in Playlist's grid to clipboard.
  • Copy ( [image] Ctrl+C) - Copies all selected dots in Playlist's grid to clipboard.
  • Paste ( [image] Ctrl+V) - Pastes dots from clipboard to Playlist's grid, using current marker's position.

2. Bar

  • Insert One ( [image] Ins) - Inserts an empty column at marker's position.
  • Delete Current ( [image] Del) - Deletes the column at marker's position.

3. Patterns

  • Insert One ( [image] Ctrl+Ins) - Inserts blank pattern before the currently selected one.
  • Clone Selected ( [image] Shift+Ctrl+C) - Inserts a clone of the current pattern right after it. The cloned pattern has the same note events (with their velocity, pan etc. properties) in the Step Sequencer as the original, but currently the events are not copied into the new pattern.
  • Delete Selected ( [image] Ctrl+Del) - Deletes the current pattern.
  • Move Selected Up ( [image] Alt+Up) - Moves all selected patterns one step up.
  • Move Selected Down ( [image] Alt+Down) - Moves all selected patterns one step down.

4. Settings

Contains one command - Grid Color, which opens a dialog box that lets you choose a color for Playlist's grid.

5. Center Grid ( Backspace)

Scrolls Playlist's grid so the playing position marker (3) appears in the middle. Useful when you want to see the playing position in a long sequence.

How to select dots in the Playlist

1. To select columns (bars)

Either double-click, or Ctrl+click the ruler in the Playlist and drag horizontally to select a desired area.

2. To select rows (patterns)

Either double-click, or Ctrl+click the ruler in the Playlist and drag horizontally to select a desired area.

3. To select rectangular area

Ctrl+click in the grid area and drag to select a desired area.


Environment Settings

The Environment Settings window contains options that are global for all projects in FruityLoops. All of these settings are saved in FruityLoops itself, not in the FruityLoops loop file (FLP).

MIDI Settings

Audio Settings

General Setting

File Settings


ENVIRONMENT SETTINGS

MIDI Settings

The MIDI Settings page contains fields for setting which MIDI drivers will be used for input, output and syncing. It also contains options related to MIDI keyboard recording and automation. For a list of supported MIDI devices, see the Supported MIDI Devices page.

MIDI Drivers:

  • Remote Control Input - The device chosen here will be used for MIDI input in FruityLoops. Such devices are MIDI keyboards and external MIDI controllers, such as PhatBoy, Drehbank etc. Additionally, FruityLoops supports several types of custom MIDI controllers (see Remote Control below for more information)
  • Master Sync Output - FruityLoops will send master sync signal to the device chosen here (if Enable MIDI Master Sync is turned on in Options menu). FruityLoops can be synced as a master with external MIDI devices. You can also sync with MIDI sequencers by using a virtual MIDI cable software, such as MIDI Yoke.
  • Output port mapping - In this section you can map the MIDI drivers available on your system (such as loopback devices, hardware and software synthesizers etc.) to a MIDI port in FruityLoops. To map a device, select it in the list and set a port number in the box below. Selecting "---" in that box means you leave the device unmapped and it can't be used in FruityLoops (but it will be free to use with other sequencers/players running at the same time).

Keyboard Input:

  • Ignore Velocities - If turned on, FruityLoops will ignore note velocities sent by some MIDI keyboards.
  • Record to Step Sequencer - If turned on, all recorded notes from your MIDI keyboard will be put in the Step Sequencer, not in the Piano Roll.
  • Multichannel Preview - Lets you set a channel for your MIDI keyboard, where each keyboard key previews one of the channels in the Step Sequencer.
  • Channel Used to Preview - Lets you set a channel for your MIDI keyboard, where each keyboard key mutes/unmutes one of the channels in the Step Sequencer.
  • Toggle on Release - When turned on, instead of unmuting after a second press (in the channel used to preview), it will unmute whenever a key is released.

Remote Control:

  • Control Surface Select - FruityLoops supports all generic MIDI controllers (absolute wheels/sliders). If you use such device, select (generic controller) in this menu. Additionally, several types of custom MIDI controllers are supported: transport controls, jog, endless (relative) wheels and custom switch controls. If you use a supported device (such as Peavey StudioMix and Tascam US-428), just select it in this list to enable its advanced features.
  • Auto Accept Controller - If you turn this option off, you'll have to click the OK button in MIDI Remote Control box to accept a controller mapping and close the box. When turned on, the box will close right after you tweak a controller on you external MIDI controller device (and that tweaked controller will be mapped to the property). For this option to work, you need to turn the Auto detect option in the MIDI Remote Control box.


ENVIRONMENT SETTINGS

Audio Settings

The Audio Settings page contains options and settings concerning the wave output of FruityLoops.

  • Output - The device chosen here will be used for wave output in FruityLoops. DirectSound and ASIO standards are supported. DirectSound devices have "(DS)" in the beginning of their names, ASIO drivers start with "(ASIO)". It's recommended that if your sound card has ASIO drivers you use them instead DirectSound, because this usually leads to better performance. When you use DirectSound drivers, try to avoid drivers which have "(emulated)" at the end of the name. Using such driver leads to worse performance compared to a native DirectSound/ASIO driver.
  • Auto Close Device - Releases the wave output device when FruityLoops looses focus, so other applications may use the same output.

DirectSound streaming buffer:

Visible only when using DirectSound driver.
  • Buffer Length - This is the length of the DirectSound buffer FruityLoops will use. Setting this buffer longer will avoid underruns that may occur while playing songs in FruityLoops. Longer buffer, however, means also that there will be lagged response while tweaking wheels and pushing sliders (this does NOT affect already recorded wheels and sliders movements). Lag length is equal to the buffer length.
  • Use Polling - Polling is a technique for managing DirectSound's audio buffer, which usually allows much smaller buffer without underruns. On some PC-s, however, it can have the opposite effect.
  • Use Hardware Buffer - Uses the hardware buffer of DirectSound enabled sound cards.
  • Underruns - Shows the amount of underruns occurred in the current session.

ASIO streaming buffer:

Visible only when using ASIO driver.
  • Buffer Length - Shows information about the buffer length the ASIO device will use. This is a read-only property.
  • ASIO Panel - Brings up the ASIO driver settings panel.

Plugin output:

Visible only when using FruityLoops with the VSTi connection plugin.
  • Slave Tempo - When turned on, FruityLoops will synchronize with the tempo of the host.
  • Record Automation - When turned on, remote control messages (MIDI) from the host will be recorded during recording sessions.

Mixer:

  • Reset Plugins on Transport - Resets all plugins when changing song position, starting playback etc. Uncheck for faster response when changing song position.
  • Sample Rate - Lets you set the sample rate that will be used by the mixer. Have in mind that most generators and effects are optimized to run in the default sample rate of 44100Hz and you might experience problems while running in other sample rate, or some effects or generators might sounds differently. It is recommended that you use 44100Hz unless it is really necessary to change it.


ENVIRONMENT SETTINGS

General Settings

The General Settings page contains miscellaneous options and settings of the working environment in FruityLoops.

  • Skin - Lets you choose a skin for FruityLoops.

System:

  • Associate FLP files - Associates FruityLoops loop files with FruityLoops (so they will be opened by FruityLoops when double-clicked).

Miscellaneous:

  • Auto Channel Naming - Automatically assigns a suitable name to the channels. If it's a Sampler, it takes the name of the sample it contains, else the channels take the name of the generator. If a name repeats with the name of another channel, FruityLoops will put a number after the name (for example - "Kick", "Kick #1", "Kick #2" etc.).
  • Auto Empty Channel Zipping - FruityLoops will automatically zip all empty channels and unzip all non-empty channels when switching between patterns. Empty is considered a pattern that does not contain active notes and notes in the Piano Roll.
  • Auto Scroll Long Patterns - If the Step Sequencer is not resized so the whole pattern fits inside, turning this option on will make FruityLoops automatically scroll the view, so the playing position is always visible.
  • Visual Feedback in Step Sequencer - When turned on, the Step Sequencer note buttons will blink when played.
  • Ultrasmooth Visual Feedback - When turned on, FruityLoops will update the playing position indicators smoothly.
  • Use Both Mouse Buttons - If this is unchecked, left mouse click both sets on and off dots in the Step Sequencer. If turned on, left-click turns a dot on, while right-click turns it off.
  • Don't Limit Windows to Screen - This option is designated for users with multiple monitor PC configurations. It should be turned off on single monitor PC-s.
  • Startup Splash Screen - If turned off, FruityLoops will not show its splash screen on startup.
  • No Directories in Sample Browser - When turned on, directories will not show in the Browser. All files will appear as being in one big folder instead.
  • Fast Sample Preview - When turned on, FruityLoops will not preload the entire sample before playing it (useful for big samples).
  • Peak Meters in DB - This option switches to DB format for the FruityLoops peak meters (when the pointer is over the peak meter), as opposed to showing the volume like a percent value (0-100%).


ENVIRONMENT SETTINGS

File Settings

The File page allows you to set additional visible directories in the Browser, as well as additional search path for VST plugins.

Browser extra search directories:

The folders in that section are shown in the Browser and are used for additional search directories when searching for samples during opening a project.

The Directory column contains the paths to additional directories you will see in the Browser window. You can either double-click the fields to enter these paths manually, or click the corresponding button on the left side of each field to browse the folder. The Name column contains fields where you can set the name that is shown in the Browser for the corresponding directories. Double-click to edit a name.

VST plugins extra search directory:

The folder you set up in that section is used as extra path when scanning for VST/VSTi plugins.

Click the browse button on the right side of the panel to browse the extra VST plugins folder.


Song Settings

Song Settings window contains settings that are local for each project. All of these settings are not saved in FruityLoops itself, but in the FruityLoops loop file (FLP), where they are set.

Song Settings

Song Info


SONG SETTINGS

Song Settings

The Song Settings page contains the general options of each project.

Time:

  • Bar Length - Lets you set the number of steps (16-th notes) that make one bar.
  • Beat Length - Lets you set the number of steps (16-th notes) that make one beat.
  • Timebase (PPQ) - Lets you set the timebase for the current project. Higher PPQ means a possibility for more refined events, finer processing of slides, envelopes and LFO-s. However, it also means higher CPU usage.
  • Tempo Fine Tune - This settings lets you fine tune the tempo of the current project in measure of 1/1000 bpm. The value set here will be added to the base tempo (you can see the resulting value while tweaking this settings in the hint bar). Note that it's not recommended to use that setting when starting a new song (it is better to use a whole number for your tempo). However, it can be used to match the exact speed of another song to be mixed in the FruityLoops project (for making 'covers' etc.).

Sound:

  • Logarithmic levels - Check this option to let FruityLoops apply logarithmic compensation (green graph) to the volume level of a sound. Since human's ear does not perceive the volume of sounds in linear way, using straight linear mapping will be perceived by ear as a logarithmic curve of volume (yellow graph). Unchecking this option removes the compensation and FruityLoops will use normal linear mapping of levels (red graph).

  • Circular Panning - If checked, FruityLoops will use circular panning (green graph), otherwise it uses pyramidal panning (red graph).


SONG SETTINGS

Song Info

The Song Info page contains fields for song's title and for additional information about the project.

  • Title - In this field you can write the title of your song.
  • Info - Here you can write additional information about the song. This field supports RTF (Rich Text Format) data. This means it preserves the font, color and other characteristics of the text you paste from RTF clipboard (i.e. you can paste properly text from Word, Wordpad etc.).
  • URL - You can write here the URL of your homepage or your e-mail address.
  • Show it on Open - If turned on, a small window will show when opening a project, which shows its title, info and URL (URL can be clicked to follow the link).


Automation & Recording

Almost any control movement in FruityLoops can be recorded, so it turns/slides exactly the way you want it next time when you play the song. You can then refine recorded events using the Event Editor. If you own an external MIDI controller, you can use it to tweak the automated controls as well.

You can also let special internal controller plugins (they can be either effects or generators) move the controls for you programmatically. These plugins can, for example, follow the special features of a sound (like volume envelope, as in the Fruity Peak Controller) and map them to the value of a control of your choice, or provide automatic LFO for controls where otherwise that would be impossible etc.

To check if any control can be recorded or linked to an external MIDI controller, position the cursor over it and check what is displayed in the hint field of the Main panel. Look for these icons:

- This icon shows the control is automatable (events can be recorded and then edited with an Event Editor)

- This icon shows the control can be remotely controlled by a MIDI controller.

So there are four ways to add "live tweaks" to your project:

Live Recording

Event Editor

Live Recording Using MIDI Controller

Internal Controller Plugins

External MIDI keyboards can be used to play and record the synthesizers in FruityLoops. For more information on recording a sequence using your MIDI keyboard, see these pages:

Live Recording

Step Editing

Click here for a full list of supported external MIDI devices.

Note to FruityLoops 2.x users: Automation in FruityLoops 3 has changed. Now there isn't any more a single global automation track, but all events are saved locally to patterns. This way now you can have up to 999 automation tracks (each pattern acts as automation track) and trigger them at any position of the song, enabling you to create complex effects, such as PCF (Pattern Controlled Filter).

However, compatibility with FruityLoops 2.x projects is fully retained - when you open such a file, the global automation data will be copied to a pattern labeled Main Automation (note that it's ONLY LABELED that way, it is the same type of pattern as the others). This pattern is triggered once in the beginning of the song, so it runs throughout the song as if it was a global automation track.

You can continue working as if you had a global automation track just like in FruityLoops 2 - trigger the pattern you want to use as a global automation track in the beginning of the song (you should draw A SINGLE DOT in the first bar of the Playlist, not a line of dots, see Playlist) and don't forget to select that pattern before live recording or performing operations in the Event Editor, otherwise you will record events to another pattern.


 AUTOMATION & RECORDING

Live Recording

Recording sessions allow you to record melodies you play on your MIDI keyboard in real-time. To start a recording session, turn on the Record button in the Transport panel. Now press the Play button (located in the Transport panel too). FruityLoops will play the song as usual, but will also record the MIDI events coming from your MIDI keyboard. You can select whether you want the melody recorded in the Piano Roll score of the channel or the Step Sequencer (see the MIDI settings page).

However, this is not all you can record during recording session. Except notes, patterns in FruityLoops can hold the value changes in time of any control that can be automated (for example, turning up the volume wheel of a channel, tweaking the cutoff of TS404 etc.). During recording sessions, FruityLoops records all changes you make in those automatable parameters (wheels, sliders, LCD-s, switches).

If you want to use one global events track for recording automation events (FruityLoops 2.x style), you can create a special pattern to hold automation events only. Then put a dot for it in the first bar of the Playlist, select it (so it shows in the Step Sequencer) and make your recording session. FruityLoops 2.x projects are imported using this solution - special pattern called "Main Automation" is automatically created and all events are placed in it.

You can cancel a recording session (so it does not apply the recorded notes and automation events) in two ways. The first one is to choose Cancel Current Recording command from Help menu, but note that you should do this while recording, BEFORE pressing the Stop button. If you press it, you can still undo the whole recording session by choosing Undo from the Edit Menu.


 AUTOMATION & RECORDING

Live Recording Using MIDI Controller

During a recording session, you have to move the wheels and sliders in FruityLoops' interface to automate their movement. However, if you own an external MIDI controller, you can control all these controls from it. If the device you use can also send note events (usually these are MIDI keyboards), you can use it to record melodies in FruityLoops (see MIDI Settings for various options concerning keyboard input). To use your MIDI controller/keyboard in FruityLoops, first ensure you have selected the proper driver in the Remote Control Input combo box, located in the MIDI Settings page. Then check if the Enable MIDI Remote control option is enabled in the Options menu.

Linking control to MIDI device

Right-click a control to be linked and from the menu that appears click Link to Controller. The Remote Control Settings dialog appears.

MIDI Controller:

  • Channel - Choose a channel to link the control to.
  • Controller - Choose a controller to link the control to.
  • Auto Detect - Very useful option that will detect and set the MIDI controller automatically - all you need to do is just tweak the desired control on your MIDI controller.
  • Multichannel - If this option is not checked, FruityLoops will link only the current control to this MIDI controller. Otherwise all controls of the same type are linked automatically too. For example, if this option is turned off and you link a volume wheel, the volume wheels in all channels are linked to the same controller, and the MIDI input gets the currently selected channel.

In addition to the standard MIDI controllers, FruityLoops supports several types of custom MIDI controllers (endless wheels, switches etc.). For more information, see MIDI Settings.

Internal Controller:

This section allows you to configure a control to be automated by controller plugins. It appears only if you have added at least one controller plugin. For more information see Internal Controllers Plugins.

Mapping Formula:

Here you can enter a formula that is used to map the controller values to the property you link. The default formula is 'Input', Input is the variable that holds the value of the controller (1:1 mapping). Now you can enter an expression to alter the default 1:1 mapping. For example: 'Input*2' multiplies the controller value by 2. When you write an expression, press Enter. If you see message "Compiled OK" the formula was successfully compiled and you can press the OK button to apply it to the linked control. If a red text appears below, the formula is wrong (usually syntax error or unsupported variable/function was used). Correct the error and press Enter again. For a full list of supported variables and function click here.

Remove Conflicts

When this option is checked, FruityLoops will remove conflicts, like linking two wheels to the same controller (either MIDI or internal).

Linking effects

If you want to automate a FruityLoops effect, you can proceed with it's controls exactly as with any FruityLoops control - right-click it to launch a pop-up menu, from where you can display the Remote Control Settings dialog box. The same goes for VST effects that do not have their own editor's interface. Then FruityLoops provides interface for the plugin, and all wheels can be automated as usual.

To link VST effects that have their own interface, call the FX pop-up menu (see Effects Tracks window) and select Link to MIDI controller item. From the submenu that appears, either select All to link all effect's controls at once (for example, if you select controller 8, the first control is mapped to controller 8, the next one to controller 9 etc.), or select a property name to link it alone instead. Be warned that many third-party VST effects do not report properly their settings, and might crash when trying to link them to a MIDI controller. It is highly recommended that you save your project before mapping VST settings for remote control.

Unfortunately, there is no way to link DirectX effects to a MIDI controller. That limitation comes from the DirectX specifications, not from FruityLoops itself. Some DirectX plugins might have MIDI remote controller functionality, but NOT through the DirectX interface (so they can not be linked right inside FruityLoops). To link such effect, follow the help instructions that come with your DirectX plugin.


 AUTOMATION & RECORDING

Internal Controller Plugins

In FruityLoops 3.2 or later, you can use special internal controller plugins (they can be either effects or generators) to move the controls for you programmatically. These plugins can, for example, follow special features of a sound (like volume envelope, as in the Fruity Peak Controller) and map them to the value of a control of your choice, or provide automatic LFO for controls where otherwise that would be impossible etc.

Linking a control to internal controller

The controller plugins provide special internal controllers in FruityLoops, that are used to link a control to the plugin. To link a control to such internal controller, right-click it and from the menu that appears click Link to MIDI Controller. The MIDI Remote Control dialog appears.

MIDI Controller:

This section allows you to link a control to a MIDI controller. For more information see Live Recording Using MIDI Controller.

Internal Controller:

Here you can configure a control to be linked to internal controller that a controller plugins provide. Note that this section is NOT VISIBLE when there aren't any controller plugins added in the current FruityLoops project.

Mapping Formula:

Here you can enter a formula that is used to map the controller values to the property you link (click the title for a list of formula presets). The default formula is 'Input', Input is the variable that holds the value of the controller (1:1 mapping). Now you can enter an expression to alter the default 1:1 mapping. For example: 'Input*2' multiplies the controller value by 2. When you write an expression, press Enter. If you see message "Compiled OK" the formula was successfully compiled and you can press the OK button to apply it to the linked control. If a red text appears below, the formula is wrong (usually syntax error or unsupported variable/function was used). Correct the error and press Enter again. For a full list of supported variables and function click here.

  • Internal Controllers List - This combo box contains a list of controllers provided by the controller plugins. Select a controller to link the control to it.
  • Record Automation - This switch should be usually turned off. When turned on, all events generated by the controller plugin will be recorded during a live recording session, as if you moved the control manually. However, you may turn this switch on if you want to use the controller plugin as a tool (like you use the LFO tool) to record specific set of events that you can then further refine and edit in the Event Editor window. It also makes possible to record events from controller plugins that might use much CPU when used in real-time. Don't forget to unlink the control after you recorded the events you need, not doing so may result in unwanted behavior (due to conflict between the recorded events and those generated in same time by the plugin).

Remove Conflicts

When this option is checked, FruityLoops will remove conflicts, like linking two wheels to the same controller (either MIDI or internal).

Linking effects

If you want to automate a FruityLoops effect, you can proceed with its controls exactly as with any FruityLoops control - right-click it to launch a pop-up menu, from where you can display the MIDI Remote Control dialog box. The same goes for VST effects that do not have their own editor's interface. Then FruityLoops provides interface for the plugin, and all wheels can be automated as usual.

To link VST effects that have their own interface, call the FX pop-up menu (see Effects Tracks window) and select Link to MIDI controller item. From the submenu that appears, either select All to link all effect's controls at once (for example, if you select controller 8, the first control is mapped to controller 8, the next one to controller 9 etc.), or select a property name to link it alone instead. Be warned that many third-party VST effects do not report properly their settings, and might crash when trying to link them to a MIDI controller. It is highly recommended that you save your project before mapping VST settings for remote control.

Unfortunately, there is no way to link DirectX effects to MIDI controller. That limitation comes from DirectX specifications, not from FruityLoops itself. Some DirectX plugins might have MIDI remote controller functionality, but NOT through the DirectX interface (so they can not be linked right inside FruityLoops). To link such effect, follow the help instructions that come with your DirectX plugin.


 AUTOMATION & RECORDING

Step Editing

Step editing is a technique to record melodies note by note using your MIDI keyboard (or computer keyboard if Typing Keyboard to Piano is enabled).

To start the step editing mode, first enable it from the Recording panel or the Options menu. In the Step Sequencer, select the channel you want to step edit.

Now each time you press a key on the MIDI keyboard a new note is added in the Piano Roll (you don't need the Piano Roll window opened to step edit) and the position advances to the next step automatically. The step size is equal to the snap size in the Recording panel.

You can use the [image] Num. pad / key on your keyboard to go back to the previous step position. Adding note in an already filled position erases the old step.

The [image] Num. pad * shortcut sends the marker to the next step position. This way you can leave empty spaces between the steps.

You can also create steps longer than the current snap setting. While holding a MIDI key on your keyboard, press the advance position shortcut ( [image] Num. pad *) one or more times then release the MIDI key.


 AUTOMATION & RECORDING

Supported MIDI devices

Automation

General MIDI controllers supported

FruityLoops supports all generic MIDI controllers that use absolute value wheels and sliders. Supported devices include:
  • Keyfax Phatboy
  • Doepfer Drehbank & Pocket control
  • all other standard MIDI controller devices

Custom MIDI controllers supported

FruityLoops supports several types of custom MIDI controllers. Features supported include endless (relative) wheels, switch controls, support for jog and transport controls. To enable the advanced features of your custom MIDI controller, you need to select it in the Control Surface list in the MIDI settings window. If the device is not listed, it is not supported.

Currently the supported devices in this category include:

  • Peavey StudioMix
  • Tascam US-428

Other similar devices might function properly as well.

Keyboards

FruityLoops supports all MIDI keyboards, keyboard synthesizers with MIDI output and all other similar devices with General MIDI output. To play a synth in FruityLoops using an external keyboard, simply select its channel in the Step Sequencer.


 AUTOMATION & RECORDING

Mapping Formula

Here is a full list of supported variables and functions you may use to author expressions for the mapping formula in the Remote Control Settings Dialog.

Operators
Abbreviature | Comment | Example
+ | addition | a+b
* | multiplication | a*b
- | subtraction | a-b
/ | division | a/b
^ | power | a^b
Functions
Abbreviature | Comment | Example
Sin | sine | Sin(a)
Cos | cosine | Cos(a)
Tg | tangent | Tg(a)
Ctg | cotangent | Ctg(a)
Sec | secant | Sec(a)
CoSec | cosecant | CoSec(a)
ArcSin | antisine | ArcSin(a)
ArcCos | anticosine | ArcCos(a)
ArcTg | antitangent | ArcTg(a)
Exp | exponent | Exp(a)
Sqrt | square root | Sqrt(a)
Ln | logarythm base e | Ln(a)
Log10 | logarythm base 10 | Log10(a)
Log2 | logarythm base 2 | Log2(a)
Neg | negative | Neg(a)
Abs | absolute | Abs(a)
Pi | pi | Pi()
Sum | sum of arguments | Sum(a,b)
Min | minimum | Min(a,b)
Max | maximum | Max(a,b)
Round | round to nearest integer | Round(a)
Int | integral part | Int(a)
Frac | fractional part | Frac(a)
IfE | returns 1 if a=b | IfE(a,b)
IfL | returns 1 if a<b | IfL(a,b)
IfG | returns 1 if a>b | IfG(a,b)
IfLE | returns 1 if a<=b | IfLE(a,b)
IfGE | returns 1 if a>=b | IfGE(a,b)
Case | returns b if a=1, else returns c | Case(a,b,c)
Rand | random value (0..1) | Rand()
SeededRand | controlled random value (0..1) | SeededRand(Seed)
Special (related to FruityLoops)
Abbreviature | Comment | Example
Input | the value sent by the controller you linked (MIDI or internal) | Input
Tension | the same as the tension wheels | Tension(Value,Speed)


 AUTOMATION & RECORDING

Event Editor

The Event Editor allows you to see, edit and save/load recorded events. You may also use it to write directly events without making a recording session.

    1. Draw Mode ( [image] P)
    2. Erase Mode ( [image] D)
    3. Interpolate Mode ( [image] I)
    4. Select Mode ( [image] E)
    5. Zoom Time ( [image] Alt+Z)
    6. Vertical Zoom
    7. Grid Area
    8. Event Editor Menu Button

The Event Editor looks like a graph - the horizontal axis represents time, and the vertical axis represents the event values. Events are displayed as vertical lines (height represents the value of the event). Each Event Editor window can display only one type of events at a time (for example, cutoff changes). To open an Event Editor, right-click any automatable control in and from the menu that appears, select Edit Events item to switch displayed events in the currently opened Event Editor (or to open a new one if there isn't any). You can also select Edit Events in New Window instead, to open a new Event Editor window.

To create an event in the Event Editor switch to Draw Mode (1) and left-click in Event Editor's grid (7). You can also create whole curves of events - just left-click and drag to create the desired shape. To create straight lines of events instead, right-click in the grid and drag.

To create interpolation between events, you can use the Interpolate Mode (3). While in this mode, left-click and drag to select the events to be interpolated. The events you select will be marked in blue. When you release the mouse button, all selected events will be refined using linear interpolation. To use spline interpolation, start dragging with your right mouse button instead.

To erase events, use the Erase Mode (2). While in this mode, left-click and drag to select events to be removed. Selected events will be marked in red and are deleted with the release of the button.

To select events in any mode (drawing, erase, interpolate), double-click or Ctrl+click the time ruler and drag to select a time range. You can also use the special Select Mode (4), to select with single left-click and drag. Selections are used when cutting events and using the LFO tool (see the menu commands described below).

Using the Event Editor with Effects

If you want to open an Event Editor for a FruityLoops effect plugin, then you proceed with its controls exactly as with any FruityLoops control - you can right-click it to launch its pop-up menu, from where you can open the Event Editor. The same goes for VST effects that do not have their own editor's interface. Since FruityLoops provides an editor for the plugin, all controls behave as usual (right-click a control and select either Edit Events or Edit Events in New Window).

To open an Event Editor for a property in VST effects that have their own interface, call the FX pop-up menu (see Effects Tracks window) and select Open Event Editor item. From the submenu that appears, select a property name to open an Event Editor for. Be warned that many third-party VST effects do not report properly their settings, and might crash when trying to open an Event Editor for some of their properties. It is highly recommended that you save your project before trying to use Event Editor for such effects.

Unfortunately, there is no way to open Event Editor for DirectX effects. That limitation comes from DirectX specifications, not from FruityLoops itself.

Event Editor Menu

This menu provides useful commands for editing events. You can access Event Editor's menu by clicking the Event Editor menu button (8).

1. File

  • Open Automation - Imports automation data from a score file (*.FSC) in the current Event Editor.
  • Save Automation as - Saves the automation data from the current Event Editor to a score file (*.FSC).
  • Import MIDI ( [image] Ctrl+M) - Shows the Import MIDI Data dialog box that lets you import controller data (cutoff, resonance etc.) from MIDI file to the Event Editor.
  • Paste from MIDI clipboard ( [image] Shift+Ctrl+V) - Works exactly as the previous command, but uses MIDI clipboard data rather than a MIDI file. You can paste data from many sequencers that can copy to MIDI clipboard format, as for example Cakewalk Pro Audio (TM).

2. Edit

  • Cut ( [image] Ctrl+X) - Cuts all selected events to the clipboard. You have to select an area to cut, or this command will be disabled.
  • Copy ( [image] Ctrl+C) - Copies all selected events to the clipboard. You have to select an area to copy, or this command will be disabled.
  • Paste ( [image] Ctrl+V) - Pastes events from the clipboard to the current Event Editor. If you don't select an area to be pasted in, the events will be pasted in the beginning of the pattern.
  • Delete ( [image] Del) - Deletes all selected events in the Event Editor. You have to select an area to delete, or this command will be disabled.
  • Delete All ( [image] Ctrl+Del) - Deletes all events in the current Event Editor.
  • Select All ( [image] Ctrl+A) - Selects all events in the Event Editor.
  • Init With Current Position ( [image] Ctrl+I) - Initializes the Event Editor with the current value of the corresponding automated control.
  • LFO ( [image] Ctrl+L) - Shows the LFO dialog that lets you draw LFO shapes in the Event Editor.

3. Options

  • Grid Color - Opens standard Windows Color dialog box, where you can set a color for Event Editor's grid.

4. Relocate Events

When turned off, the Paste command will overwrite any existing events, and the Cut/Delete commands leave "holes" in the area selected to cut/delete.

Turning this option on will instead insert the pasted events, and the Cut/Delete commands will shift back all events after the selected area to remove the "hole".

5. Auto Smoothing

When checked, the drawn events are automatically interpolated upon mouse button release.

6. Zoom ( Alt+Z)

Zooms in/out horizontally (time).


 AUTOMATION & RECORDING

LFO Tool

The LFO tool allows you to draw LFO shapes in the Event Editor.

LFO is drawn only in the selected time range. If nothing is selected, the LFO tool will select automatically the first bar.

1. Start

  • Value - Sets the value of LFO.
  • Range - Sets the range between the lowest and highest points in the LFO shape.
  • Speed - Sets the frequency of the LFO (i.e. its speed). Right-click for a menu with tempo-based presets.

2. End

Contains the same parameters as the Start section. When you turn on the led in the top left corner of this section, LFO's settings will vary from those in the Start section to those in the End section. If led is turned off, then only the settings from the Start section are used.

3. Shape

Sets the shape of the LFO - sine, triangle or square (to select a shape click any of the icons at the top left corner of this section). Phase wheel sets the phase of the LFO (basically this moves the LFO shape left and right).


 AUTOMATION & RECORDING

Import MIDI Data Dialog

This dialog will appear when you import controllers data in the Event Editor either from MIDI clipboard or MIDI file. Controllers in MIDI files are used to hold different properties of channels such as cutoff and resonance levels.

  • Which Tracks to Import - Click the combo box to select which MIDI tracks to import in the Event Editor.
  • Which Channels to Import - Lets you select which channels should be imported. Left-click a channel number (selected channels are marked in red) to include it in the imported channels, right-click it to exclude it from the imported channels.
  • Which Controller to Import - Lets you select the number of the controller to be imported.
  • Blend with Existing Data - When turned on, imported events will mix with the already existing ones. Otherwise any existing events will be overwritten by imported data.


FruityLoops as a VSTi

FruityLoops can be loaded and used as a VSTi instrument in a compatible VSTi host. In this mode the output is sent to the host; the play/stop events and tempo are synchronised as well. Controlling FruityLoops channels and parameters using MIDI messages is supported. You can also send each effects track to a separate output, if the host supports VSTi plugins with multiple outputs.

Installing the VSTi connection plugin

Normally FruityLoops asks where to copy the VSTi connection during the installation. However, if you didn't install the plugin at that time, or you want to install it on more that one host, in the Windows Start Menu, select Programs>FruityLoops 3>Advanced>Install Plugin Version. You will see a dialog where you can set the plugin folder of the host where you want the connection installed.

Basic usage of the VSTi connection

Add an instance of the FruityLoops VSTi plugin or the Multi FruityLoops VSTi plugin. Open the editor of the plugin (for more information on how to work with VSTi plugins, check the manual that comes with your host application). Click the Fruity button to bring up the interface of FruityLoops. Now you can work as usual - load projects, edit instruments and melodies. However the audio output of FruityLoops is sent to the host application. Also, when you play in the host application, FruityLoops plays synchronized as well. You can select whether FruityLoops should follow its own tempo or the host tempo with the Slave tempo option in the Audio Settings.

The Time Offset setting in the plugin editor sets how many bars earlier FruityLoops should start playing compared to the host. With negative values, FruityLoops starts later than the host. Because of a VSTi plugin issue (not FruityLoops related), it's always better to leave one bar time empty in the start of the song. You can do that with this setting or leave empty bar in both the FruityLoops Playlist and the host sequence.

NOTE: When you want to hide the FruityLoops interface and work in the host, don't use the minimize button, this will hide the host window as well. Use the close button. FruityLoops will stay active.

Using multiple outputs

The FruityLoops VSTi connection has two versions - single and multiple outputs. The single output version sends the whole audio output of FruityLoops as single channels pair (left and right channel). The multiple outputs allows you to link each effects track in FruityLoops to one of 16 possible stereo outputs. You can then mix each stereo output separately in the host. To select output for the specific track, in FruityLoops, open the Effects tracks window. The combo box in the bottom left side of the window lets you select the output for the current FX track.

NOTE: Not every host may support VSTi plugins with multiple outputs. Then just use the single output version of the plugin.

Controlling FruityLoops channels from the host

All FruityLoops channels can be controlled with MIDI messages from the host. To do so, create a MIDI channel in the host, select the FruityLoops VSTi as output and check the instruments list. If the host supports properly custom instrument names, all FruityLoops channels will be listed. Just select the name of the channel to control. Also, don't forget to give the track a unique MIDI channel number.

You can control any automatable FruityLoops parameter from the host as well. This feature works exactly like using MIDI remote control with external MIDI device. Just link the parameters as usual to the corresponding MIDI controller number and MIDI channel. You can select whether to record MIDI messages from the host application during recording sessions from the Audio Settings.

Issues with the VSTi connection

Slide notes, per note shift, pan, cutoff and resonance are not supported by the MIDI standard, you have to use FruityLoops for sequencing to have these features available.

When running the VSTi connection from Cubase, drag and drop operations in the Browser do not work.


File Formats

This section contains a description of all file formats supported by FruityLoops.

Open/Import File Formats

Save/Export File Formats

Sample File Formats

Other File Formats


 FILE FORMATS

Open/Import File Formats

This section contains a description of the file formats that FruityLoops can open/import. They are all accessible from Open and Import commands in the File menu.

FruityLoops Loop File (*.FLP)

Zipped Loop File (*.ZIP)

BeatCreator/BeatSlicer Grid File (*.ZGR)

MIDI File (*.MID)

ReBirth RB-338 Song File (*.RBS)

Beat to Slice (*.WAV)


 OPEN/IMPORT FILE FORMATS

FruityLoops Loop File (*.FLP)

This is the native project format of FruityLoops. It retains all data that belongs to your project, but note this does not include any wave samples, DrumSynth and SimSynth presets that are included in the loop. If you open a loop file that doesn't have the required samples or presets, FruityLoops performs a search in the folder where the loop file was loaded from, then its sample folder, and all custom folders that are added to the Browser (see Directories). If you want to skip the check, press and hold ESC key while loading.


 OPEN/IMPORT FILE FORMATS

Zipped Loop File (*.ZIP)

FruityLoops can open and uncompress standard ZIP files automatically. Then it will search for a FruityLoops loop file and open it. Any samples included in the ZIP file will be loaded, if they are included in the loop file. This enables you to create single file where you have both the loop file and all samples/presets it includes. FruityLoops can also automatically create such zipped packages (see Zipped Loop File from Save/Export file formats).


 OPEN/IMPORT FILE FORMATS

BeatCreator/BeatSlicer Grid File (*.ZGR)

ZGR files are created by BeatSlicer and BeatCreator programs. They contain the slicing scheme of particular loop - you can edit the slice points visually in either BeatSlicer or BeatCreator and then open grid files in FruityLoops - it will slice the loop and map each slice to a separate Sampler channel automatically. BeatCreator is available at http://surf.to/zero-x.


 OPEN/IMPORT FILE FORMATS

MIDI File (*.MID)

FruityLoops can automatically import MIDI files by creating a separate MIDI Out generator for each MIDI channel in the file. Most of the common controller events are converted to automation events compatible with FruityLoops (like panning, volume, pitch bending etc.).

MIDI Import Dialog Settings:

  • Which tracks to import? - This combo box lets you select if you want all MIDI tracks imported or a specific one.
  • Which channel to import? - Use the fields provided to set if a channel will be imported or not (channels displayed in red will import). Left-click on a channel number to import it and right-click it if you don't want to import it. Each channel will be imported in a separate MIDI Out generator.
  • Start new project - Turn this option on to clear the current project before importing the MIDI file.
  • Create one channel per track - If you turn on this option each track in the MIDI file will import as a separate MIDI Out generator, otherwise tracks that use the same channel are "welded" and imported into a single generator.
  • Realign events - Removes any "silence" in the beginning of a MIDI file by realigning all note and automation events.


 OPEN/IMPORT FILE FORMATS

ReBirth RB-338 Song (*.RBS)

FruityLoops can import native ReBirth RB-338 (TM) songs, retaining as many parameters of the original as possible. The two 303 generators are replaced by TS404 channels, and all drums are replaced by Sampler channels.


 OPEN/IMPORT FILE FORMATS

Beat to Slice (*.WAV)

Selecting this item (from Import submenu in File menu) lets you import wave file into separate slices, using BeatSlicer by Peter Segerdahl (available at www.fruityloops.com). Note that FruityLoops comes with a demo version of BeatSlicer that lowers significantly the quality of imported samples. To use this feature without limitations, you must have the registered standalone BeatSlicer installed on your system.

After you choose a wave to be imported, you will be asked whether to use the BeatSlicer standalone to tweak the slicing scheme of the sample. If you answer No, BeatSlicer will use automatic slicing. Then select the folder where the sliced beat samples placed and this dialog box will appear:

  • Target - Lets you select how the sliced beat is imported to FruityLoops. Available targets are: Layered Sampler Channels - each slice is imported to a (zipped) layered Sampler channel and the composition is placed in the Piano Roll of the Layer channel; Sampler Channels - each slice is imported to a Sampler channel and the Step Sequencer's grid is used to hold the beat composition; Slicer Channel - the sliced beat is imported to a single Slicer channel and the composition is placed in the Piano Roll.
  • Start New Project - Imports the sliced beat to a new project. When this option is off, the sliced beat is merged with the current project.


 FILE FORMATS

Save/Export File Formats

This section contains a description of the file formats to which FruityLoops can save/export a project. They are all accessible from the Save and Export commands in the File menu.

FruityLoops Loop File (*.FLP)

Zipped Loop File (*.ZIP)

Wave / MPEG Layer 3 / MIDI (*.WAV; *.MP3; *.MID)


 SAVE/EXPORT FILE FORMATS

FruityLoops Loop File (*.FLP)

This is the native project format of FruityLoops. It retains all data that belongs to your project, but note that this does not include any wave samples, DrumSynth and SimSynth presets that are included in the loop. To export package that includes all used samples and DrumSynth/SimSynth presets, use Zipped Loop Package instead.


 SAVE/EXPORT FILE FORMATS

Zipped Loop File (*.ZIP)

You can export standard ZIP files from FruityLoops that contain the FruityLoops loop file and all samples/presets used in the project. Of course, FruityLoops can read back such ZIP files directly (see Zipped loop file from Open/Import File formats).


 SAVE/EXPORT FILE FORMATS

Wave / MPEG Layer 3 / MIDI (*.WAV; *.MP3, *.MID)

Choosing to export/save to any of these files formats (Wave, MP3, MIDI) opens the Rendering dialog. Wave files and MP3 files export the whole audio output of your song.

This does NOT include any sound produced by MIDI! To export MIDI data, you can export to a MIDI file format instead.

1. Info

Shows information about the current project.

  • Tempo - Shows tempo of the current project.
  • Total Time - Shows total time length of the song to be exported.
  • Disk Space - Shows the amount of disk space required to export wave and mp3 files (includes sizes only of checked file types in Output panel)
  • Bar# - Shows the current rendered bar and the total number of bars to render (current/total).

2. Looping Mode

Sets the looping mode. Applies only to wave and mp3 files. If after rendering the last bar from the song there is still a sound decaying, this option sets how should proceed FruityLoops.

  • Cut Remainder - Cuts any decaying sound after the last bar was rendered.
  • Leave Remainder - Expands song's length to fit the remainder.
  • Wrap Remainder - Wraps any decaying sound in the beginning of the song (useful when rendering songs that will be looped).

3. Quality

Sets the quality of the rendered wave output.

  • Sampler's Interpolation - Sets the sample interpolation method used in Sampler channels when exporting to wave/mp3. None applies "square filter" (the so-called nearest neighbor interpolation), which is the fastest method of all, but creates output with low quality. Linear interpolation provides speed and good overall quality (it is also used for realtime playback). 6-point Hermite applies high quality curve interpolation, but it is slower that None and Linear. Sinc (depths 64, 128, 256) method provides the highest quality interpolation of all methods, but is also very slow. It is recommended that you use it for your final rendering only.
  • Tiny Slices - Enabling this option provides more accurate handling of events (notes, envelopes, LFO-s etc.) which may improve the quality in some cases. Usually you should leave that option turned off, because it slows down the rendering process significantly. However, you may want to enable it for your very latest rendering.
  • Dithering - Applies 32->16bit dithering to 16 bit wave files and mp3 files.
  • Alias-free TS404 - Prevents TS404's "aliasing" when turned on, but also slows down the rendering.
  • HQ for all plugins - Sets high quality mode for any plugins (effects and generators) used in the song.
  • Disable Max Poly - Ignores the max poly setting in Miscellaneous Channel Settings. However it will NOT ignore whether you checked the Mono option.

4. Output

Sets what files should FruityLoops output when rendering.

5. Wave

Contains a combo box where you can set at what bit depth should be created the wave file. You can choose standard 16bit wave file, or two types of 32bit wave output (provides more precise editing in wave editors that support 32 bit wave files, but it's likely that you would not be able to play directly such file in audio player). 32bit float (0.24) is the native format of FruityLoops' mixer engine, while 32bit float (16.8) is the native format of Cool Edit (TM).

5. MP3

Sets the bit rate of the MP3 file exported. Higher bit rate means higher quality MP3, but this also increases disk space required for the file.

6. Options

  • Split FX Tracks - When selected, each effects track in the project is exported as a separate file.
  • Save NFO File - Saves a special information *.NFO file with wave file that is read by Domus Music Machine (TM) and FruityTracks.
  • Save ACIDized - Saves additional information in the wave file that is read when using the rendered loop in Sound Foundry Acid (TM).
  • Background Rendering - Minimizes and renders in background mode.
  • Go - Starts Rendering.


 FILE FORMATS

Sample File Formats

This section contains a description of the file formats that can be used to "feed" the sample bank in Sampler channels (see Sampler Channel Settings).

MS Waveform File (*.WAV)

Speech presets (*.SPEECH)

SimSynth Preset (*.SYN)

DrumSynth Preset (*.DS)

FastTracker's Extended Instrument (*.XI)


 SAMPLE FILE FORMATS

MS Waveform File (*.WAV)

Sampler can use MS Waveform file format for samples. Supported wave subformats include PCM Waveform and any ACM waveform, as long as you have the required codec properly installed and working.


 SAMPLE FILE FORMATS

Speech Preset (*.SPEECH)

With the FruityLoops integrated speech engine, you can quickly add vocoder-like or natural vocal parts to your projects. The *.SPEECH presets are supported by all native FruityLoops plugins that take use of custom samples for synthesizing - Sampler, Granulizer, Fruity Slicer and Fruity Scratcher.

Basic Usage

To add speech samples to your project, load any speech preset in a FruityLoops plugin. You will see the settings dialog. You can click OK to apply the preset as is, or you can change what you need and save the result as a new preset.

Speech Settings Dialog

1. Text Panel

  • Speech Text box - Enter here the text to be synthesized by the engine.
  • Listen button - Click to preview the sample based on the current settings.

2. Voice Panel

  • Personality combo box - Click this box to select voice personality. The personality changes the timbre of the voice used. The rest of the voice settings are also set to the defaults for the personality selected.
  • Style combo box - Selects intonation style for the voice. Monotone/Sing uses constant pitch for all words. Natural resembles a natural talk intonation. Random select random pitch for each word.
  • Mode - Select the amount of noise mixed in the voice generated. Normal uses natural levels for the noise mixed in the voice. Breathy uses more noise to create 'breathy' voices. Whispered uses only noise for the voice synthesis, thus creating "whispered" voice effect.
  • Rate LCD - Sets the speed of the voice.
  • Pitch Semitone combo box - Select the pitch semitone of the voice.
  • Pitch Octave LCD - Select the pitch octave of the voice.

3. OK button - Applies the speech preset to the generator/effect selected. If you have changed some of the settings in this dialog, you will be prompted to save the preset with a new name.

Speech Text Formatting

1. Pitch shifting of separate words

You can supply a pitch offset for a word. Just place the offset amount (in semitones) after the word as a number, enclosed in parentheses: "Semitone up(1), 2 semitones down(-2)". If in this sample the base pitch is, for example, F#2, the word "up" will have pitch G2 (one semitone higher), the word "down" will have pitch E2 (two semitones lower).

2. Separating words

To get more naturally sounding sentences, you may try replacing intervals " " with underscore "_". So the sentence: "This is example sentence", turns to: "This_is_example_sentence".

Note that underscored sentences are recognized as a single word by Fruity Slicer channels and are not sliced properly (see below).

Fruity Slicer Support

When you open a speech preset in a Fruity Slicer channel, the sentence is automatically sliced so each word resides in a separate slice. Because of this feature, a BeatSlicer grid (*.ZGR) file is automatically generated by the Fruity Slicer channel, that contains the sentence.


 SAMPLE FILE FORMATS

SimSynth Preset (*.SYN)

Sampler can use presets from SimSynth 1 & 2 directly - a wave file is automatically generated from the SimSynth preset when loaded into FruityLoops. SimSynth is a software synthesizer written by David Billen (http://ellisdee.onestop.net/SimSynth.html). You can get SimSynth from our download pages at www.fruityloops.com (SimSynth 1 is now freeware!). When you load a SYN file instead of wave file, you also gain some additional options in Miscellaneous Channel Settings page, concerning the generated wave by SimSynth's engine integrated in FruityLoops.


 SAMPLE FILE FORMATS

DrumSynth Preset (*.DS)

Sampler can use presets from DrumSynth directly - a wave file is automatically generated from the DrumSynth preset when loaded into FruityLoops. DrumSynth is a freeware drum synthesizer - you can get it from its author's (Paul Kellett) web page at http://www.abel.co.uk/~maxim. When you load a DS file instead of wave file, you also gain some additional options in Miscellaneous Channel Settings page, concerning the generated wave by DrumSynth's engine integrated in FruityLoops.


 SAMPLE FILE FORMATS

FastTracker's Extended Instrument (*.XI)

XI is the extended instrument file format of FastTracker. Sampler can "extract" wave sample from XI file directly, but note that some XI files contain more than one wave sample. Since Sampler supports only single wave per channel, only one of the available waves will be imported. Also, envelope and LFO settings are not imported.


 FILE FORMATS

Other File Formats

This section contains other file formats used by FruityLoops.

FruityLoops State File (*.FST)

FruityLoops Score File (*.FSC)

Humanize Preset File (*.FPR)

MIDI File (*.MID)


 OTHER FILE FORMATS

FruityLoops State File (*.FST)

State files in FruityLoops are used to save generator and effects presets. See Save Channel State As in Channel Settings menu and Save Preset As in Effects Tracks menu.


 OTHER FILE FORMATS

FruityLoops Score File (*.FSC)

FruityLoops Score files in are used to save melodies from the Piano Roll. You can later import note events in a score file by dropping it on the Piano Roll view or a channel button.

Since FruityLoops 3.5, you can also store and retrieve automation data in a FSC file.

For saving note scores, see Save Score As in the Piano Roll pages. For saving automation data, see Save Automation As in the Event Editor pages.


 OTHER FILE FORMATS

Humanize Preset File (*.FPR)

These files contain humanize presets for notes properties in the Step Sequencer (you can set those properties manually using the Graph Editor). Currently humanize presets can't be created inside FruityLoops. You can use a text editor (such as Notepad) for this purpose (they are standard text files that contain simple list of values for each property).


 OTHER FILE FORMATS

MIDI File (*.MID)

FruityLoops can import note and controller events from standard MIDI files. To import notes and controller data, select the Import MIDI File command in the Piano Roll or Event Editor menu, respectively. You can also drag and drop MIDI files from the Browser on the Piano Roll/Event Editor views.


 TROUBLESHOOTING

Compatibility with Older Projects

In order to improve FruityLoops for better usability and feature set, the 3.5 release includes several changes that might be incompatible with some older projects (created in FruityLoops 3.4 or earlier). These changes include:

Rebuilt TS404 Generator

  • The enhanced TS404 generator in FruityLoops 3.5 supports Piano Roll sequencing (no compatibility issues)
  • Additional note properties supported include: velocity, pan and shift (no compatibility issues)
  • The off notes in the Step Sequencer are not used anymore by the TS404 generator. This won't affect most older projects, but if the TS404 melody sounds different when opened in FruityLoops 3.5, you can replace the inactive notes with active ones with lower velocity (volume).
  • Slides work differently in TS404. Now the slides work the same way like in a Sampler channel. Previously, slide on a note in TS404 meant "slide the current note to the next one". Now it means "slide from the previous note to the current one". You can fix compatibility with older projects to a degree if you place all slides one step later in the sequence (without moving the actual notes). Also, you can now set the slide length with the portamento length property in the Misc Channel Settings.
  • The TS404 doesn't have its own gate anymore. It uses the generic gate in the Function Channel Settings page. FruityLoops uses the generic gate when loading older projects.
  • The global TS404 delay was removed. You can easily fix older projects by using Fruity Delay 2 effect in a send FX track and use it to delay the insert track the TS404 channel is linked to.

Gate Wheel Behavior Changed

  • The values of the generic gate wheel for all channels was remapped for better usability (now it's easier to fine tune short lengths for the gate). FruityLoops 3.5 will remap the gate values in older projects to the proper value.
  • Automation in older projects is also translated to sound properly with the changed gate wheel behavior.
  • Possible differences might occur for older projects that use internal controller to automate the gate setting for a channel.

Channel Name Colors Removed

FruityLoops 3.5 doesn't support custom channel name color. Channel name colors in older projects are ignored. However, you can change the color of a channel button from the Channel Settings window.

NOTE: FruityLoops 3.5 will load and play older projects without problems no matter if they include or not incompatible features.

Running FruityLoops 3.5 with Older FruityLoops Release

You can upgrade to FruityLoops 3.5 and still work with an older release to finish old projects, to avoid any compatibility issues. The registration information of FruityLoops 3.5 will not overwrite registration information of older releases.

To do that, before upgrading to 3.5, ensure you have 3.4 installed properly with all plugins you need to have (don't install the plugins released with version 3.5 on earlier FruityLoops release, because they might not be compatible). Then install FruityLoops 3.5 and its plugins in another folder. FruityLoops 3.4 will still function properly.


TROUBLESHOOTING

Troubleshooting Q&A

This section contains answers to common questions and problems that may occur while working in FruityLoops. Please, read this carefully before posting about problems in the tech-support message board!

The first things you will have to set up are the MIDI output driver (if you plan to use MIDI) or the DirectSound driver (you probably want to import your own drum samples). If you don't set any of them you won't get any output!

Problem | Solution
The program reports about missing DirectX, then halts.

YOU NEED DIRECTX 5 OR LATER TO BE INSTALLED ON YOUR SYSTEM. The latest DirectX (currently 8) is available at the Microsoft web site. You can find a link to it at www.fruityloops.com. You may also find the DirectX installer on CD's that go with many popular magazines. Also please read below about Windows NT!
No audio output. | If you don't get any sound be sure you've selected at least a DirectSound driver (see Audio settings) or a MIDI driver (see MIDI settings). Be sure the DirectSound driver has been initialized & working. If you don't get any MIDI sound from the playing loop you probably forgot to enable the 'Enable MIDI' menu option (see Options menu).
The sound is 'choppy' and strange (blips & glitches). | Be sure you've got the latest DirectX drivers & not emulated DirectSound drivers. You may try to put the mixing buffer length (see Audio settings) to the max. Note that you may also try to reduce it to minimize the latency. Today's soundcards can handle from 100ms down to 5ms latency.You may also have glitches problems if the playing loop eats too much CPU or when opening or closing other windows. Windows 9x is more or less animated, & some of those animations are very bad for the timing in audio applications. To fix that problem, go to the display settings (in Windows 98), select the "Effects" tab & uncheck the "Animate windows, menus and lists" box. There are other ways to optimize Windows 9x for audio applications, you can learn more about this on the Internet. Once again be sure you've got the proper DirectSound drivers accelerated for your soundcard. Also be sure no other CPU consuming or special application is running at the same time.
A TS404 pattern doesn't play in song mode, but plays in pattern mode. The TS404 is a monophonic synthesizer. That means it can not generate more than one tone at a moment. That is why when you trigger several patterns that contain TS404 notes and/or property changes (cutoff and pitch in the Graph Editor) only the topmost pattern is played and the rest are ignored.

Sometimes, you might skip to clear some patterns from TS404 data and they can mute another TS404 sequence placed below in the Playlist. To make sure that the patterns you trigger together with your TS404 sequence do not contain any data for the same TS404, switch to each pattern you want to clear, select the corresponding TS404 channel and press Ctrl+X (or select Cut from the Edit menu). That way all notes and properties in the Step Sequencer are set to default and the pattern is considered free of TS404 sequence data.
The chords menu doesn't pop up in the Randomizer. | This might be caused because of using custom font sizes and/or windows scheme. To cure the problem, try to switch back Windows to "small fonts" and use Windows Standard scheme (go to Control Panel > Display > Appearance).
FruityLoops reports HHCTRL.OCX is missing, then halts. | This problem may occur in computers with older Windows installed (first releases of Windows 95). To cure the problem, install a newer version of Internet Explorer, which includes the necessary files. Note that if you really don't have that file installed, you shouldn't be able to open this help file as well...
FruityLoops crashes when trying to open the Piano Roll window. | Some people reported such crashes on systems with ATI Xpert video cards. Download and install the latest drivers available for your video card to fix the problem.
FruityLoops' interface looks strange, the colors are distorted. You're probably running Windows in 256 colors (palletized) or less. Please switch to 16Bit (high color) or 24/32Bit (true color) display modes. Everything under Windows is ugly in palletized display. Luckily today's computers (even laptops) can easily handle true color modes. For the best quality & smoothness in FruityLoops we suggest you switch your display to 24Bit mode. Now your graphic board might not support 24Bit display. In this case switch to 32Bit mode. By the way, remember that FruityLoops 1.x & 2.x skins are NOT compatible so don't use any of them.

You should also know that almost every early graphic driver has minor bugs. If you notice things not drawn properly, it might be your graphic driver (which should be updated).
FruityLoops can't be registered using the current reg code you have. | Please contact regcode@fruityloops.com for any problem about registration. Do NOT use our message board for this purpose.
Any of the *.WAV files fail to load, but all the *.SS2 presets load fine. For some reason, some people have all their Windows sound ACM codecs disabled. FruityLoops needs them in order to translate compressed *.WAV files to PCM.
Under Windows, follow Start > Settings > Control Panel > Multimedia > Devices tab > Audio Compression Codecs. For each of the listed codecs, click Properties, then check "Use this audio codec" (if it's disabled).
FruityLoops used to work fine, but now it keeps crashing at startup.

If it doesn't work anymore, but has worked once then you may try to do a config 'reset'. To do this, launch the Reset settings shortcut (Start Menu > Programs > FruityLoops 3> Advanced > Reset Settings) & let it delete the needed registry keys.

Note: if you're running under WinNT, the shortcut switch might not work correctly, you might have to use regedit.exe. Take care not to delete any other registry entry! You can still use the Microsoft System Information tool to backup your registry if you're not sure (Important: don't use regedit.exe if you are not familiar with registry, since this may damage your Windows!).
FruityLoops crashes at startup.

Some people have reported a crash when Windows is in 16Bit display. There's no reason for FruityLoops not to work fine in 16Bit display but anyway you can try to switch to 24Bit (True Color) & see if it corrects your problem. Also according to the same people a problem may occur because of network cards. Again there's no reason for not to work when a network card is installed...

We've also been reported that old display drivers for the Diamond Viper v330 were causing a crash while FruityLoops is running. Updating those drivers should fix that.
DirectX plugins disappeared from the plugin list. | Uninstall DirectX and then reinstall it again (DirectX can not be directly uninstalled. You should use third party tools, such as DirectX Buster - http://directxbuster.de/index_e.html).
The loop points in the sample view can't be added or moved. | Loop points can't be set inside FruityLoops. They are part of the sample itself, and they can be set using external wave editor. Also, when you play looped wave sample in FruityLoops and you hear pops and clicks, this means that the loop points of the sample are not well chosen. Well chosen loop points match end offsets (amplitudes) of the sample points and also match end slopes of the waveform as much as possible. Also, if the sample volume varies over time, you should set loop points so that level is equal or close to equal in the start and end loop points. Also, unless you're making a sample to be used as an oscillator shape, you should avoid creating short loops (less than ~50ms), because they may sound pitch shifted, thus not matching the pitch of the rest of the sample.
The sound becomes strange when you move windows or sliders. | This happens with some graphic boards (for example older versions of Matrox Mystique) which lock the bus when they shouldn't. Be sure you've got the latest drivers for your graphic card, it may correct the problem.
Can FruityLoops have several instances running at the same time? Yes, just make sure not to pass any command line parameter. If you specify a loop file by the command line, the same instance will load it (for convenience). If you don't, then another instance will be opened.
Please note that Windows 9x graphics resources are very limited (due to compatibility problems), so opening several (4 or over) instances of FruityLoops (which is graphically intensive) could crash your whole system!
You need more information about the LAME MP3 encoder used in FruityLoops to export MP3 files. | You can find more info & the standalone version of LAME at www.sulaco.org/mp3. LAME is distributed under the GNU General Public License (see Texts\LGPL.txt for details). LAME was written by Mike Cheng & Mark Taylor. The DLL used in was written by Albert Faber, based on the original BladeEnc DLL interface written by Tord Jansson.
The loop sample always overlaps when it's retriggered. You want it to cut itself. | Just push the 'cut itself' button in the channel settings menu.
Some plugins suddenly start eating extremely much CPU power, while they performed good in a while. Sometimes happens that a plugin starts eating a huge amount of CPU when not fed for a while. It looks strange but it's not. Floating points are stored as a base & exponent. It works well, except for very small numbers (those are called tiny numbers, or denormalized numbers). Those tiny numbers are stored differently, & the math coprocessor actually eats much more CPU in that 'denormalization' process (that can also trigger an exception on demand).

There are workarounds, but they can only apply in the DSP functions themselves. FruityLoops can't do much about it, it's up to the plugin (& most of the ones that come with FruityLoops do it) to check if the values are very close to zero & snap them to zero instead.
Your song uses too much processing power and you can't play it in real-time without underruns even with maximum audio buffer. | Use the tips in the Optimizing CPU and Memory Usage page.
How to sync FruityLoops to a MIDI sequencer. As with any other music app running under Windows, you need a virtual MIDI cable to achieve sync with FruityLoops. FruityLoops can act as a MASTER CLOCK. Just set your sequencer (or any other app) to be the slave & be sure it uses the correct virtual MIDI device.
WARNING:
Don't use Hubi's LoopBack device as the virtual MIDI cable. For some unknown (to us) reason it can loose clock messages so the sync will be really bad when you start moving windows (probably a 32bit threading problem)... Instead, use MIDI Yoke which seems very stable & does its job pretty well. You can download & get information about MIDI Yoke at: http://www.channel1.com/users/jamieo/html/midiyoke.html. You can find a more detailed explanation in the online manuals available at our web site.
Is FruityLoops working under Windows 2000? | Yes, normally.
FruityLoops working under Windows NT4? | Not officially. This is because there's no official DirectX5 for Windows NT4. However, you can download an unofficial patch for DirectX5 under WinNT at Erik Unger's DirectX page (from JEDI-Project). You could also do a search on the net for the NT4DX5.ZIP file. FruityLoops is said to work okay under Windows NT using this unofficial DirectX5 version. Now you won't find accelerated drivers for this DirectX so you will have to deal with a bigger mixing buffer (meaning slower response).

Known bugs & limitations:

  • A couple of VST plugins crash. Some will crash after being loaded. Some other will crash for unknown reasons. You'll probably get even more crashes from the DirectX plugins (which are not reputed for their stability). Please note that we don't support any of the plugins available. If they crash your computer, we're not responsible. Plugins are DLL's. They contain code, meaning they can contain viruses too!
  • The TS404 delay line is reset on tempo changes. Unfortunately nothing can be done to fix that.


TROUBLESHOOTING

Optimizing CPU and memory usage

This section contains tips that will help you reduce CPU and memory usage in your projects.

  • Try to reduce the number of used TS-404 and external plugin generators. They all sound splendid, but also require much CPU power.
  • Try to reduce the number of effects you use in your songs. Now you can have one effect "weighted" in several FX tracks (see FX send tracks in Effects Tracks window).
  • Try to use Smart Disable whenever possible (see Effects Tracks window). If there are many effects you don't use constantly during your song, this feature will decrease CPU usage significantly.
  • Try to reduce the number of delay echoes (see Function Channel Settings) because they are actually retriggered samples (it is not a global delay line), so they increase the polyphony. In 99% of all cases Fruity Delay effect does the same job without using much CPU.
  • You can use the maximum polyphony setting to reduce the maximum polyphony of channels (see Miscellaneous Channel Settings). This often reduces dramatically CPU usage in complex melodies. You can still set FruityLoops to ignore the maximum polyphony settings when exporting to wave/mp3 file (see Exporting to WAV/MP3/MIDI).
  • Trim (with any wave editor) the remaining silence or quasi-silence in your samples not to have it mixed (you don't hear it but it takes valuable CPU time). Any remaining ZERO silence is automatically removed within FruityLoops, but nothing more.
  • Echo Delay will not trigger echoes (thus freeing CPU resources), if feedback is set to minimum (see Function Channel Settings).
  • Do not enable the MIDI output (see Enable MIDI Output in Options menu) if you don't plan to use it, because it lowers the performance of FruityLoops.


 GLOSSARY

ACM Waveform

A.C.M stands for Audio Compression Manager. MS ACM is part of every Windows. It enables third-party applications to read and compress wave files in many compression formats, such as TrueSpeech and GSM 6.10. For a specific compression to be accessible in audio application, its codec (COmpressor DECompressor) needs to be installed and enabled. To see what codecs do you have installed, go to Control Panel > Multimedia > Advanced > Audio Compression.


 GLOSSARY

Cutoff and Resonance Filter

Cutoff is used to block certain frequencies from a sound. In a standard LP (Low Pass) cut/reso filter, cutoff determines the range of high frequencies to be cut. However, in modern software and hardware synthesizers (and in FruityLoops itself) you will notice that cut/reso filter comes in many "flavors", such as HP (High Pass), which cuts the low frequencies of the sound instead.

Resonance effect originates from an artifact in the original cutoff filter used in old hardware synthesizers. It is narrow band of frequencies, near the cutoff level, where the sound is amplified. Today this artifact can be easily avoided, but it is still available though, because it can be used as a special effect. Changes in the cutoff level together with high resonance produces interesting phaser-like effect, which is one of the reasons for the popularity of the TB-303 synthesizer.


 GLOSSARY

Envelope

The envelope is a special kind of shape that controls the value of a property (usually volume) over time. This gives a synthesizer more natural sounding, but it can also be used for creating special effects. The common type of envelope is called ADSR. ADSR stands for Attack-Decay-Sustain-Release. All envelopes now are less or more based on the ADSR envelope model. However, as you will see in FruityLoops too, some envelopes are enhanced with additional elements, to suit some particular requirements for the specific generator.

ADSR Envelope elements:

  • Attack - Attack determines the time it takes for the note to get to the maximum level.
  • Decay - Decay determines the time it takes for the note to go from the maximum level to the sustain level (controlled by Sustain).
  • Sustain - Sustain determines the level the sound is played at while the note is being held (after the other envelope states (Attack and Decay) have been cycled through).
  • Release - Release determines the time it takes for the note to go from the sustain level to zero level when it is released.


 GLOSSARY

Gate

The gate is an audio processor that cuts the sound if its volume falls below given threshold. Gate processors are used for variety of purposes, such as eliminating noise during speech pauses, or for special effects, as in the TS404 generator (see TS404 Channel Settings), where gate can be used for creating shorter, staccato sounds.


 GLOSSARY

LFO

L.F.O. stands for Low Frequency Oscillator. Such oscillators are used to modulate a property in a synthesizer or effect. It can be used to simulate natural instrument effects, such as vibrato (by applying LFO to volume) and tremolo (LFO applied to pitch), or can be used to change gradually a setting to create special effects, such as applying a LFO to the cutoff value, thus creating phaser-like effect (as this can be done using the LFO in TS404 Channel Settings).


 GLOSSARY

Underruns

Underruns occur in real-time audio processing software and software synthesizers (such as FruityLoops) when the program can not mix the song fast enough. They are likely to happen on slow computers and non-DirectSound enabled sound cards. Underruns are heard like clicks and pops during real-time playback. They can be avoided by setting longer buffer for the DirectSound driver. Underruns may occur ONLY in real-time playback. They will not happen while exporting to wave or mp3 file.


 MENU BAR

Randomizer

The Randomizer dialog lets you create random notes in the Step Sequencer, based on a chord map, as well to humanize the settings available in the Graph Editor.

1. Random Section

This section lets you set up the options that will be used when generating random notes in the Step Sequencer.

  • Octave - Sets the base octave used when generating notes.
  • Range - Specifies the octave range will fit in while creating random notes.
  • Base Key - Sets the base tone for notes.
  • Chord - Here you can select the chord type that will be used as a base for creating notes.
  • Amount - Specifies the amount of notes that will be generated. The more you turn this wheel to the left, the more inactive notes will be generated in the pattern.
  • Apply - Generates a random combination based on the settings above in all selected channels. You can use this feature to generate various combinations until you're satisfied with the result. To hear the combinations you generate, hit the play button in the Transport panel before you bring up the Randomizer dialog (or you can also call the Randomizer and then press [image] Space to toggle play/stop mode). If the led at the top left corner of the Randomize section is turned on, the Randomizer will generate a new combination when you press the OK button. When you hit the Apply button, this led is automatically turned off, so you can keep the desired combination when you click OK.

2. Humanize Section

This section lets you set up the options that will be used to "humanize" all selected channels in the Step Sequencer, i.e. randomizing notes properties (these are the values you enter in the Graph Editor).

  • Reset Before Humanize - Reset the note properties to their default values before humanizing.
  • Pan/Velocity/Filter cut/Velocity/Pitch - These check boxes lets you select the note properties you want humanized (this applies to the note properties only, not automation events!).
  • Apply - Humanizes the note properties based on the settings above in all selected channels. You can use this feature to generate various combinations until you're satisfied with the result. To hear the combinations you generate, hit the play button in the Transport panel before you bring up the Humanizer dialog (or you can also call the Humanizer and then press [image] Space to toggle play/stop mode). If the led at the top left corner of the Humanize section is turned on, the Humanizer will generate a new combination when you press the OK button. When you hit the Apply button, this led is automatically turned off, so you can keep the desired combination when you click OK.


PANELS

TS404 Delay Panel

The TS404 Delay panel contains controls for setting the global TS404 delay settings.

  1. Feedback - Sets the TS404 delay feedback.
  2. Panning - Sets the TS404 delay panning.
  3. Volume - Sets the TS404 delay volume.
  4. Time - Sets the TS404 delay time (i.e. delay speed).